package com.mobilegame.dominoes.Actor;

import com.badlogic.gdx.math.Interpolation;

/**
 * Created by Doodle on 2021/2/23.
 */

public class EastInBack extends Interpolation {
    private float c1 = 1.70158f;

    public EastInBack(float c1){
        setC1(c1);
    }

    @Override
    public float apply(float a) {
        float r = (c1 + 1) * a * a * a - c1 * a * a;
        return r;
    }

    public void setC1(float c1){
        this.c1 = c1;
    }
}
