package com.mobilegame.dominoes.Actor;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.badlogic.gdx.scenes.scene2d.Group;
import com.badlogic.gdx.scenes.scene2d.ui.Image;
import com.mobilegame.dominoes.assets.Assets;

/**
 * Created by Doodle on 2021/2/5.
 */

public class FinishActor extends Group {
    public static int FINISH_HINT = 0;
    public static int DOMINO_HINT = 1;
    public static int BLOCK_HINT = 2;

//    public MySpineActor guangBGImage;
    public Image fontImage;

    public FinishActor(int currentHint) {
//        SkeletonJson sJsonAct1 = new SkeletonJson(new AtlasAttachmentLoader(Assets.newUI));
//        SkeletonData skeletonDataLoading1 = sJsonAct1.readSkeletonData(Gdx.files.internal("animation/light.json"));
//        guangBGImage = new MySpineActor(new SkeletonRenderer(), skeletonDataLoading1);
//        guangBGImage.setPosition(getWidth() / 2f, getHeight() / 2f, Align.center);

//        setSize(guangBGImage.getWidth(), guangBGImage.getHeight());
//        setPosition(360, 720, Align.center);
//        addActor(guangBGImage);
        setCurrentHint(currentHint);
    }

    public void setGuangColor(Color color) {
//        guangBGImage.setColor(color);
    }

    public void setCurrentHint(int currentHint) {
        TextureRegion hintFont = null;
        if (currentHint == FINISH_HINT) {
            hintFont = Assets.newUI.findRegion("finishFont");
        } else if (currentHint == DOMINO_HINT) {
            hintFont = Assets.newUI.findRegion("dominoFont");
        } else if (currentHint == BLOCK_HINT) {
            hintFont = Assets.newUI.findRegion("blockFont");
        }
        if (hintFont == null) return;
        fontImage = new Image(hintFont);
        fontImage.setColor(1, 240/255f, 161/255f, 1);
        addActor(fontImage);
        fontImage.setPosition((getWidth() - hintFont.getRegionWidth()) / 2f, (getHeight() - hintFont.getRegionHeight()) / 2f);
    }

}
