package com.mobilegame.dominoes.DNAManage;

import com.badlogic.gdx.utils.Array;

/**
 * Created by Doodle on 2021/1/25.
 */

public class DNATilesPlay {
    private String firstPlayer;
    public Array<TitlesDate> titlesDates = new Array<>();

    public void setFirstPlayer(int firstPlayer) {
        if (firstPlayer == 0) {
            this.firstPlayer = "user";
        } else {
            this.firstPlayer = "computer";
        }
    }

    public String getFirstPlayer() {
        return firstPlayer;
    }

    public void addTitleDate(int id, int linkid, int score, int num) {
        addTitleDate(new TitlesDate(id, linkid, score, num));
    }

    public void addTitleDate(TitlesDate titlesDate) {
        if (titlesDate == null) return;
        titlesDates.add(titlesDate);
    }

    public String getTitleDate() {
        StringBuffer stringBuffer = new StringBuffer();
        for (TitlesDate td : titlesDates) {
            stringBuffer.append(td.toString() + "//");
        }
        return stringBuffer.toString();
    }

    @Override
    public String toString() {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(firstPlayer + ",");

        for (TitlesDate td : titlesDates) {
            stringBuffer.append(td.toString() + "//");
        }

        return stringBuffer.toString();
    }

    public class TitlesDate {
        public int dominoID;
        public int linkDominoID;
        public int addScore;
        public int canLinkNum;

        public TitlesDate(int id, int linkid, int score, int num) {
            this.dominoID = id;
            this.linkDominoID = linkid;
            this.addScore = score;
            this.canLinkNum = num;
        }

        @Override
        public String toString() {
            return dominoID + "," + linkDominoID + "," + addScore + "," + canLinkNum;
        }
    }
}
