package com.mobilegame.dominoes;

/**
 * Created by Doodle on 2018/10/23.
 */

abstract public class DoodleHelper {
    //-------video-----------
    public abstract void showVideoAds();
    public abstract void showVideoAds (String placementId,Runnable runnable);
    public abstract void showVideoAds(String placementId) ;

    public abstract boolean isVideoAdsReady() ;

    public abstract void  reloadAllVideoAds();

    public abstract boolean isVideoAdsReady(String placementId) ;

    //-------baner--------
    public abstract boolean hasInterstitialAdsReady() ;

    public abstract void showBanner(boolean visible);

    public abstract void showBanner(int index, boolean visible);

    public abstract boolean isBannerLoaded() ;

    public abstract boolean isBannerLoaded(int index) ;

    public abstract boolean isBannerVisible() ;

    public abstract boolean isBannerVisible(int index) ;

    public abstract void showAdmobInterstitial(int index) ;

    public abstract void showFacebookInterstitial(int index) ;

    public abstract void showInterstitial();

    public abstract void showInterstitial(long delay) ;

    public abstract void showInterstitialOnLoaded(long timeout) ;

    public abstract void showInterstitialOnLoaded(long delay, long timeout) ;

    public abstract void cancelInterstitialOnLoaded() ;

    public abstract void flurry (String eventId, String eventItem, String paramItem);
    public abstract void flurry ( String paramItem);

    public abstract void goToRate();
    public abstract void dobill(int index);

    public abstract void dologin();
    public abstract void dologOut();

    public abstract void billingHandler(int index);

    public abstract boolean isConnected();

    public abstract long getTime();

    public abstract void LoadingTime();

//    public abstract void addParam(String str, String[] key, String[] value);

//    public abstract void setNotificationAlarm();
//    public abstract void showText();
//    public abstract String getModel();

    public abstract void addPlayStarted(String playId, String modeId, String difficult, int rankInsession,
                                        String resultLastplay);

    public abstract void addPlayCompleted(String playId, String modeId, String difficult, int rankInsession,
                                          int roundAmount, float timeUser, String result);

    public abstract void addRoundStarted(String playId, String modeId, String roundId, String difficult,
                                         int rankInplay, String resultLastround, String handUser, String handComputer);

    public abstract void addRoundCompleted(String playId, String modeId, String roundId, String difficult,
                                           int rankInplay, String resultRound, int addUser, int addComputer,
                                           int scoreUser, int scoreComputer, float timeUsed, String firstPlayer,
                                           String tilesPlay, String tilesDraw);

    public abstract void addSkinUsed(String skinType, String skinID, boolean ifNew, int diamondNum);

    public abstract void addUiInteraction(String UILocation, String UIType, String UIName, boolean ifFirst);

    public abstract void addTilesPlay(String player, String modeId, String roundId, int rankPlay, String idPlay,
                             String linkID, int scoreInround, int choiceNum);

    public abstract void addTilesDraw(String roundID, String idDraw, int rankDraw, String drawer, boolean ifPlay);

}
