package com.mobilegame.dominoes.GameFunction;

import com.badlogic.gdx.utils.Array;

/**
 * Created by Doodle on 2020/12/9.
 */

public class AppointDominoBlock implements AppointDominoSpecify {
    //special_1
//    final int[] drawP = {1, 9, 13, 16, 14, 18, 11};  //玩家手牌
//    final int[] drawC = {6, 10, 24, 8, 19, 15, 22};  //电脑手牌
//    final int[] cOrder = {-2, -2, 1, -2, 9, 13};
//    final int[] cConid = {-2, -2, 6, -2, 19, 8};
//    final int[] pOrder = {22, 24, 6, 10, 19, 8, 15};
//    final int[] pConid = {-1, 22, 24, 1, 10, 9, 13};
//
    //special_2
    final int[] drawC = {0, 4, 8, 9, 18, 6, 23};  //电脑手牌
    final int[] drawP = {7, 3, 19, 17, 21, 24, 14};  //玩家手牌
    final int[] cOrder = {23, 6, 9, 8, -2, 18, 4, 0};
    final int[] cConid = {-1, 24, 3, 7, -2, 21, 19, 4};
    final int[] pOrder = {24, 3, 7, 17, 21, 19, -2};
    final int[] pConid = {23, 6, 9, 8, 17, 18, -2};

    final Array<int[]> cGCards = new Array<>();
    final Array<int[]> pGCards = new Array<>();

    @Override
    public int getPlayID(int i) {
        return drawP[i];
    }

    @Override
    public int getCompID(int i) {
        return drawC[i];
    }

    @Override
    public int getPCID(int players, int index) {
        return players == 0 ? getPlayID(index) : getCompID(index);
    }

    @Override
    public int getPlayerTurn() {
        return 1;
    }

    @Override
    public int getCOrder(int i) {
        return cOrder[i];
    }

    @Override
    public int getPOrder(int i) {
        return pOrder[i];
    }

    @Override
    public int getCConid(int i) {
        return cConid[i];
    }

    @Override
    public int getPConid(int i) {
        return pConid[i];
    }

    @Override
    public Array<int[]> getCGCards() {
        return cGCards;
    }

    @Override
    public Array<int[]> getPGCards() {
        return pGCards;
    }
}
