package com.mobilegame.dominoes.GameFunction;

import com.badlogic.gdx.utils.Array;

/**
 * Created by Doodle on 2020/12/9.
 */

public class AppointDominoDraw implements AppointDominoSpecify {
    //special_1
//    final int[] drawP = {1, 5, 10, 17, 20, 25, 26};  //玩家手牌
//    final int[] drawC = {27, 23, 12, 2, 21, 3, 19};  //电脑手牌
//    final int[] cOrder = {27, 23, 12, 2, 21, 111, 7};
//    final int[] cConid = {-1, 26, 10, 17, 12, 20, 11};
//    final int[] pOrder = {26, 10, 17, 5, 20, 25, 1};
//    final int[] pConid = {27, 23, 27, 2, 21, 5, 7};
//
//    final Array<int[]> cGCards = new Array<>();
//    final Array<int[]> pGCards = new Array<>();
//
//    {
//        cGCards.add(new int[]{7, 18, 11});
//    }
    //special_2
    final int[] drawP = {9, 27, 10, 7, 23, 13, 14};  //玩家手牌
    final int[] drawC = {21, 24, 1, 5, 15, 2, 18};  //电脑手牌
    final int[] cOrder = {1, 24, 5, 21, 15, 2, 18};
    final int[] cConid = {7, 10, 1, 27, 23, 13, 3};
    final int[] pOrder = {7, 10, 27, 23, 9, 13, 103};
    final int[] pConid = {-1, 7, 24, 5, 21, 15, 2};

    final Array<int[]> cGCards = new Array<>();
    final Array<int[]> pGCards = new Array<>();

    {
        pGCards.add(new int[]{17, 3});
    }

    @Override
    public int getPlayID(int i) {
        return drawP[i];
    }

    @Override
    public int getCompID(int i) {
        return drawC[i];
    }

    @Override
    public int getPCID(int players, int index) {
        return players == 0?getPlayID(index): getCompID(index);
    }

    @Override
    public int getPlayerTurn() {
        return 0;
    }

    @Override
    public int getCOrder(int i) {
        return cOrder[i];
    }

    @Override
    public int getPOrder(int i) {
        return pOrder[i];
    }

    @Override
    public int getCConid(int i) {
        return cConid[i];
    }

    @Override
    public int getPConid(int i) {
        return pConid[i];
    }

    @Override
    public Array<int[]> getCGCards() {
        return cGCards;
    }

    @Override
    public Array<int[]> getPGCards() {
        return pGCards;
    }
}
