package com.mobilegame.dominoes.data.Classes;
import com.badlogic.gdx.Gdx;

/**
 * Created by qwe on 2020/1/6.
 * 切换资源有关的保存信息的类
 */

import java.util.HashMap;
public class Csv {

    public Csv() {

        localLoadDesign( Gdx.files.internal("data\\Design.csv").readString());
    }

    public HashMap<Integer, Design> _Design = new HashMap<Integer, Design>();

    private void localLoadDesign(String text) {
        String[] lines = text.trim().replaceAll("\r", "").split("\n");
        for (int i=3;i<lines.length;i++) {
            Design one = new Design();
            String[] values = lines[i].split(",");
            one.ID = Integer.parseInt(values[0]);
            one.Topic_name = values[1];
            one.type = values[2];
            //one.Unlocking_condition = 0 表示该资源以解锁
            one.Unlocking_condition = Integer.parseInt(values[3]);
            one.Uid = Integer.parseInt(values[4]);
            _Design.put(one.ID, one);
        }

    }
}
