package com.mobilegame.dominoes.data;

import com.mobilegame.dominoes.data.Classes.Csv;
import com.mobilegame.dominoes.data.Classes.Design;

/**
 * Created by qwe on 2020/1/8.
 */

public class GameDataCsv {

    private static Csv csv;


    public static void Load(Csv _csv) {
        csv = _csv;
    }

    public static Design getDesign(int Id) {

        if(csv._Design.get(Id)!=null)
            return csv._Design.get(Id);
        else
            return csv._Design.get(1);
    }

    public static int getDesignSize() {

        return csv._Design.size();

    }

    public static int getDesignDominoesSize() {

        int n = 0;
        for (int i = 1;i <= GameDataCsv.getDesignSize();i++){

            Design design = GameDataCsv.getDesign(i);
            if(design.type.contains("dominoes")){
                n++;
            }
        }

        return n;

    }

    public static int getDesignBgSize() {

        int n = 0;
        for (int i = 1;i <= GameDataCsv.getDesignSize();i++){
            Design design = GameDataCsv.getDesign(i);
            if(design.type.contains("background")){
                n++;
            }
        }

        return n;

    }
}
