package com.mobilegame.dominoes.data;

public class ParseUtil {
    public static int[] ParseInt2(String s)
    {
        if (s == "none")
            return new int[0];
        String[] ss = s.split("\\$");
        int[] r = new int[ss.length];
        for (int i = 0; i < ss.length; i++)
            r[i] = Integer.parseInt(ss[i]);

        return r;
    }

    public static int[][] ParseInt3(String s)
    {
        if (s == "none")
            return new int[0][];

        String[] ss = s.split("\\|");
        int[][] r = new int[ss.length][];
        for (int i = 0; i < ss.length; i++)
            r[i] = ParseInt2(ss[i]);

        return r;
    }

    public static float[] ParseFloat2(String s)
    {
        if (s == "none")
            return new float[0];

        String[] ss = s.split("\\|");
        float[] r = new float[ss.length];
        for (int i = 0; i < ss.length; i++)
            r[i] = Float.parseFloat(ss[i]);

        return r;
    }

    public static float[][] ParseFloat3(String s)
    {
        if (s == "none") return new float[0][];
        String[] ss = s.split("\\|");
        float[][] r = new float[ss.length][];
        for (int i = 0; i < ss.length; i++) r[i] = ParseFloat2(ss[i]);
        return r;
    }
}

