//package com.mobilegame.dominoes.dialogs;
//
//import com.badlogic.gdx.Gdx;
//import com.badlogic.gdx.scenes.scene2d.Action;
//import com.badlogic.gdx.scenes.scene2d.Actor;
//import com.badlogic.gdx.scenes.scene2d.Group;
//import com.badlogic.gdx.scenes.scene2d.InputEvent;
//import com.badlogic.gdx.scenes.scene2d.Touchable;
//import com.badlogic.gdx.scenes.scene2d.actions.Actions;
//import com.badlogic.gdx.scenes.scene2d.ui.Label;
//import com.badlogic.gdx.scenes.scene2d.ui.ScrollPane;
//import com.badlogic.gdx.scenes.scene2d.ui.Table;
//import com.badlogic.gdx.utils.Align;
//import com.esotericsoftware.spine.SkeletonData;
//import com.esotericsoftware.spine.SkeletonJson;
//import com.esotericsoftware.spine.SkeletonRenderer;
//import com.esotericsoftware.spine.attachments.AtlasAttachmentLoader;
//import com.mobilegame.dominoes.assets.Assets;
//import com.mobilegame.dominoes.assets.Configuration;
//import com.mobilegame.dominoes.data.Classes.Design;
//import com.mobilegame.dominoes.data.DiamondDataUtil;
//import com.mobilegame.dominoes.data.GameDataCsv;
//import com.mobilegame.dominoes.objects.DesignDominoesGroup;
//import com.mobilegame.dominoes.utils.listener.ButtonListener2;
//import com.spine.MySpineActor;
//
///**
// * Created by qwe on 2020/1/6.
// */
//
//public class  DesignDialog extends BaseDialog {
//    private DesignListener listener;
//
//    private Group dominoes1;
//    private Group dominoes2;
//    private Group background1;
//    private Group background2;
//
//    private Table backTable;
//    private Table dominoTable;
//    private ScrollPane backscrollPane;
//    private ScrollPane dominoscrollPane;
//
//    private Group bottom;
//    private Actor back;
//    private Group playerDiamondNum;
//
//    private Actor[] dominoes;
//    private Actor[] background;
//
//    private MySpineActor mySpineActor;
//
//    public DesignDialog(String name) {
//        super(name);
//        group.setPosition(0,0);
//        bottom = group.findActor("actionGroup");
//        back = group.findActor("btn_close");
//        playerDiamondNum= group.findActor("num");
//
//        dominoes1 = group.findActor("dominoe_nofocus");
//        dominoes2 = group.findActor("domino_focus");
//        background1 = group.findActor("backgroud_nofocus");
//        background2 = group.findActor("backgroud_focus");
//
//
//        initButtons();
//
//        backTable = new Table();
//        backTable = backTable.top();
//        dominoTable = new Table();
//        dominoTable = dominoTable.top();
//
//        backscrollPane = new ScrollPane(backTable, new ScrollPane.ScrollPaneStyle());
//        backscrollPane.setSize(700, 600);
//
//        backscrollPane.setPosition(10,120);
//
//        backscrollPane.setScrollingDisabled(true, false);
//        backscrollPane.setSmoothScrolling(true);
//        backscrollPane.toFront();
//        bottom.addActor(backscrollPane);
//
//        dominoscrollPane = new ScrollPane(dominoTable, new ScrollPane.ScrollPaneStyle());
//        dominoscrollPane.setSize(700, 700);
//
//        dominoscrollPane.setPosition(10,27);
//
//        dominoscrollPane.setScrollingDisabled(true, false);
//        dominoscrollPane.setSmoothScrolling(true);
//        dominoscrollPane.layout();
//        dominoscrollPane.toFront();
//        bottom.addActor(dominoscrollPane);
//        showItems();
//
//
//        SkeletonJson sJsonAct ;
//        SkeletonData skeletonDataLoading ;
//        sJsonAct = new SkeletonJson(new AtlasAttachmentLoader(Assets.instance.pifu));
//        skeletonDataLoading =sJsonAct.readSkeletonData(Gdx.files.internal("animation/pifu.json"));
//        mySpineActor = new MySpineActor(new SkeletonRenderer(),skeletonDataLoading);
//        playerDiamondNum.addActor(mySpineActor);
//        mySpineActor.getAnimationState().addAnimation(0, "animation", true,0);
//
//        Actor actor = group.findActor("diamond");
//        mySpineActor.setPosition(actor.getX(),actor.getY()+10);
//        actor.setVisible(false);
//
//        changeDesignTyep(DesignType.dominoes);
//        refreshNum();
//    }
//
//    private void showItems() {
//        backTable.clear();
//        dominoTable.clear();
//
//        int rowCnt = 3;
//        float offsetX = (700) * 1f / (rowCnt + 1) / 3;
//
//        int backNum = 0;
//        int dominoesNum = 0;
//
//        dominoes = new Actor[9];
//        background = new Actor[6];
//
//        for (int i = 1; i <= GameDataCsv.getDesignSize(); i++) {
//
//            Design design = GameDataCsv.getDesign(i);
//            if(design.type.contains("dominoes")){
//                if (dominoesNum % rowCnt == 0)
//                    dominoTable.row();
//
//                DesignDominoesGroup actor  = new DesignDominoesGroup(design);
//                dominoes[dominoesNum] = actor;
//                dominoesNum++;
//                dominoTable.add(actor).width(actor.getWidth()).height(actor.getHeight()).pad(30, 9 + offsetX, 5, 9 + offsetX);
//            }
//            else {
//                if (backNum % rowCnt == 0)
//                    backTable.row();
//                DesignDominoesGroup actor = new DesignDominoesGroup(design);
//                background[backNum] = actor;
//                backNum++;
//                backTable.add(actor).width(actor.getWidth()).height(actor.getHeight()).pad(30, 9 + offsetX, 5, 9 + offsetX);
//            }
//        }
//        Design design = GameDataCsv.getDesign(1);
//        DesignDominoesGroup actor  = new DesignDominoesGroup(design);
//        actor.setVisible(false);
//        dominoTable.row();
//        dominoTable.add(actor).width(actor.getWidth()).height(actor.getHeight()).pad(30, 9 + offsetX, 5, 9 + offsetX);
//
//        backscrollPane.layout();
//        dominoscrollPane.layout();
//    }
//
//    private void initButtons(){
//        dominoes1.setTouchable(Touchable.enabled);
//        Actor btn = dominoes1;
//        if(btn!=null){
//            btn.addListener(new ButtonListener2(){
//                @Override
//                public void clicked(InputEvent event, float x, float y) {
//                    super.clicked(event, x, y);
//                    if(listener!=null){
//                        listener.dominose();
//                    }
//                }
//            });
//        }
//
//        background1.setTouchable(Touchable.enabled);
//        btn = background1;
//        if(btn!=null){
//            btn.addListener(new ButtonListener2(){
//                @Override
//                public void clicked(InputEvent event, float x, float y) {
//                    super.clicked(event, x, y);
//                    if(listener!=null){
//                        listener.background();
//                    }
//                }
//            });
//        }
////        back.setTouchable(Touchable.enabled);
////        back.addListener(new ButtonListener2(){
////                @Override
////                public void clicked(InputEvent event, float x, float y) {
////                    super.clicked(event, x, y);
////                    Gdx.app.log("yxk","close");
////                    if(listener!=null){
////                        listener.back();
////                    }
////                }
////        });
//
//    }
//
//    public void setListener(DesignListener listener) {
//        this.listener = listener;
//    }
//
//    public void addListenr(){
//        listener = new DesignListener() {
//            @Override
//            public void dominose() {
//                changeDesignTyep(DesignType.dominoes);
//            }
//
//            @Override
//            public void background() {
//                changeDesignTyep(DesignType.background);
//            }
//
//            @Override
//            public void back() {
//                close();
//            }
//        };
//    }
//
//    public interface DesignListener {
//        void dominose();
//        void background();
//        void back();
//    }
//
//    private void changeDesignTyep(DesignType designType){
//
//        if(designType == DesignType.dominoes){
//            dominoes2.setVisible(true);
//            dominoes1.setVisible(false);
//            background1.setVisible(true);
//            background2.setVisible(false);
//
//            backscrollPane.setVisible(false);
//            dominoscrollPane.setVisible(true);
//
//            for (int i = 0 ;i < dominoes.length;i++){
//                float x = dominoes[i].getX();
//                float y = dominoes[i].getY();
//                int row = i/3;
//                dominoes[i].setY( y - 200 - 50*row);
//                dominoes[i].addAction(
//                        Actions.moveTo(x,y,0.2f+0.1f*row)
//                );
//            }
//        }
//        else {
//            dominoes2.setVisible(false);
//            dominoes1.setVisible(true);
//            background1.setVisible(false);
//            background2.setVisible(true);
//
//            backscrollPane.setVisible(true);
//            dominoscrollPane.setVisible(false);
//
//            for (int i = 0 ;i < background.length;i++){
//                float x = background[i].getX();
//                float y = background[i].getY();
//                int row = i/3;
//                background[i].setY( y - 200 - 50*row);
//                background[i].addAction(
//                        Actions.moveTo(x,y,0.2f+0.1f*row)
//                );
//            }
//        }
//
//    }
//
//    public void refreshNum(){
//        Label m = group.findActor("playerDiamondNum");
//        m.setText("" + DiamondDataUtil.getDiamondNum());
//    }
//
//    public void refresh(){
//        showItems();
//        refreshNum();
//    }
//
//    @Override
//    public void close() {
//        bottom.addAction(
//                Actions.sequence(
//                        Actions.moveBy(0,-900,0.3f),
//                        Actions.run(new Runnable() {
//                                        @Override
//                                        public void run() {
//                                            trueClose();
//                                        }
//                                    }
//                        )
//                )
//        );
//        layer.addAction(
//                Actions.fadeOut(0.3f)
//        );
//        back.setOrigin(Align.center);
//
//        back.addAction(
//                Actions.sequence(
//                        Actions.scaleTo(0.01f,0.01f,0.25f)
//                )
//        );
//
//        playerDiamondNum.setOrigin(Align.center);
//
//        playerDiamondNum.addAction(
//                Actions.sequence(
//                        Actions.scaleTo(0.01f,0.01f,0.25f)
//                )
//        );
////        super.close();
//    }
//
//    @Override
//    protected void showBottom() {
//        super.showBottom();
//
//        back.setOrigin(Align.center);
//        back.setScale(0.1f);
//
//        back.addAction(
//                Actions.sequence(
//                        Actions.scaleTo(1.1f,1.1f,0.25f),
//                        Actions.scaleTo(1f,1f,0.25f)
//                )
//        );
//        back.setTouchable(Touchable.enabled);
//
////        mySpineActor.setOrigin(Align.center);
////        mySpineActor.setScale(0.1f);
////        mySpineActor.addAction(
////                Actions.sequence(
////                        Actions.scaleTo(1.1f,1.1f,0.25f),
////                        Actions.scaleTo(1f,1f,0.25f)                  )
////        );
//
//        playerDiamondNum.setOrigin(Align.center);
//        playerDiamondNum.setScale(0.1f);
//        playerDiamondNum.addAction(
//                Actions.sequence(
//                        Actions.scaleTo(1.1f,1.1f,0.25f),
//                        Actions.scaleTo(1f,1f,0.25f)                )
//        );
//
//        bottom.addAction(
//                Actions.sequence(
//                        Actions.moveBy(0,-700,0.01f),
//                        Actions.moveBy(0,700,0.25f),
//                        Actions.run(new Runnable() {
//                            @Override
//                            public void run() {
//                                start();
//                            }
//                        }
//                        )
//                )
//        );
//
//
//    }
//
//    public void trueClose(){
//        super.bottomClose();
//    }
//
//    public enum DesignType{
//
//        dominoes,
//
//        background
//    }
//}
