//package com.mobilegame.dominoes.dialogs;
//
//import com.badlogic.gdx.scenes.scene2d.Actor;
//import com.badlogic.gdx.scenes.scene2d.Group;
//import com.badlogic.gdx.scenes.scene2d.InputEvent;
//import com.badlogic.gdx.scenes.scene2d.actions.Actions;
//import com.badlogic.gdx.scenes.scene2d.ui.Label;
//import com.badlogic.gdx.scenes.scene2d.ui.ScrollPane;
//import com.badlogic.gdx.utils.Align;
//import com.badlogic.gdx.utils.Timer;
//import com.mobilegame.dominoes.DominoGame;
//import com.mobilegame.dominoes.assets.Configuration;
//import com.mobilegame.dominoes.data.FileUtil;
//import com.mobilegame.dominoes.flurry.DeltaDNAManager;
//import com.mobilegame.dominoes.handles.DominoManager;
//import com.mobilegame.dominoes.handles.GameConfig;
//import com.mobilegame.dominoes.handles.PlayerManager;
//import com.mobilegame.dominoes.objects.DominoCardPlayer;
//import com.mobilegame.dominoes.utils.listener.ButtonListener2;
//
//public class HandEndDialog extends BaseDialog {
//
//    private ScrollPane[] scrollPanes;
//    private Group[] tables;
//    private boolean gameEnd;
//    private HandEndListener listener;
//
//    private int actionValue[];
//
//    public HandEndDialog(String name) {
//        super(name);
//        initButtons();
//        scrollPanes = new ScrollPane[2];
//        tables = new Group[2];
//
//        tables[0] = new Group();
//        tables[1] = new Group();
//    }
//
//    public void setData(PlayerManager[] players, DominoManager[] dominoManagers,int winner,boolean gameEnd) {
//        int height = 149;
//        int offset = 0;
//        int allfiveInfo = 0;
//
//        this.gameEnd = gameEnd;
//        Group allFive = DominoGame.parseScene("ui/objects/hand_end_info_allfive.json");
//        allFive.setPosition(group.getWidth() / 2, height, Align.bottom);
//        height += allFive.getHeight() + 14;
//        allfiveInfo = 114;
//        group.addActor(allFive);
//
//        if(gameEnd){
//            group.findActor("next").setVisible(false);
//        }
//        else {
//            group.findActor("ok").setVisible(false);
//        }
//
//        if(GameConfig.gameType != GameConfig.ALL_FIVES_TYPE ){
//
//            Label l1 = allFive.findActor("allfiveWord");
//            Label l2 = allFive.findActor("allfiveWord_2");
//            l1.setText("The winner is credited with the total");
//            l2.setText("number of pips left from the opponent.");
//
//        }
//
//        group.setHeight(group.getHeight() - 33 * offset + allfiveInfo);
//        group.findActor("bg").setHeight(group.getHeight());
//        Label pointTarget = group.findActor("points");
//        pointTarget.setText(GameConfig.targetPoints +"");
//
//        Label pointTarget1 = group.findActor("point_target");
//
//        Group winning =  group.findActor("winningscore");
//        winning.setY(winning.getY() - 40 * offset + allfiveInfo);
//
//        Actor win = group.findActor("you_won");
//        win.setY(win.getY() - 33 * offset + allfiveInfo);
//
//        Actor lose = group.findActor("you_lose" );
//        lose.setY(lose.getY() - 33 * offset + allfiveInfo);
//
//        group.setPosition(Configuration.width / 2, Configuration.height / 2, Align.center);
//        initData(players, dominoManagers,winner);
//
//
//    }
//
//    private void initData(PlayerManager[] players, DominoManager[] dominoManagers,int winner) {
//
//        boolean isWin;
//        actionValue = new int[2];
//
//        Group left = group.findActor("left");
//        left.setY(left.getY()+114);
//
//        Group Score = group.findActor("Score");
//        Score.setY(Score.getY()+114);
//
//        for (int i = 0; i < 2; i++) {
//            Label temp = group.findActor("round"+i);
//            if(GameConfig.scores.size()>0){
//                temp.setText(0 + "");
//            }
//            temp = group.findActor("total"+i);
//            temp.setText(GameConfig.points[i] + "");
//            if (players[i].dominoesInHand > 0) {
//                Actor None = left.findActor("null"+i);
//                None.setVisible(false);
//                tables[i].clear();
//                scrollPanes[i]  = new ScrollPane(tables[i]);
//                scrollPanes[i].setPosition(257.5f,147 - i*99);
//                scrollPanes[i].setSize(233,70);
//
//                scrollPanes[i].setScrollingDisabled(false, true);
//                scrollPanes[i].setCancelTouchFocus(false);
//                scrollPanes[i].setSmoothScrolling(true);
//                scrollPanes[i].toFront();
//                left.addActor(scrollPanes[i]);
//                tables[i].setOrigin(Align.center);
//                float cardWidth = 0;
//                for (int j = 0; j < players[i].dominoesInHand; j++) {
//                    int dominoId = players[i].idsInHand.get(j);
//                    DominoCardPlayer dominoCard = new DominoCardPlayer(dominoId, dominoManagers[dominoId].values, null);
//                    dominoCard.setScale(0.36f);
//                    dominoCard.setSize(dominoCard.getWidth()*0.38f,dominoCard.getHeight()*0.38f);
//
//                    int dominoesPoint = dominoManagers[dominoId].values[0] + dominoManagers[dominoId].values[1];
//                    actionValue[1-i] += dominoesPoint;
//                    tables[i].addActor(dominoCard);
//
//                    if(players[i].dominoesInHand > 5){
//                        dominoCard.setX(dominoCard.getWidth()*j + 8 * j);
//                    }
//                    else {
//                        dominoCard.setX( scrollPanes[i].getWidth()/2 - (players[i].dominoesInHand - 1) *  (dominoCard.getWidth()/2 + 4) + dominoCard.getWidth()*j + 8 * j,Align.center);
//                    }
//
//                    dominoCard.setY(2);
//                    cardWidth = dominoCard.getWidth();
//                }
//                tables[i].setWidth(players[i].dominoesInHand * (8+cardWidth));
//            }
//            else {
//
//                Actor dominoBg = left.findActor("left"+i);
//                dominoBg.setVisible(false);
////                Actor title = left.findActor("title"+i);
////                title.setVisible(false);
//            }
//
//
//
//        }
//
//        for (int i = 0;i < 2 ;i++){
//
//            if(GameConfig.gameType == GameConfig.ALL_FIVES_TYPE){
//                actionValue[i] = allfiveScore(actionValue[i]);
//            }
//
//            Label temp2 = group.findActor("round"+i);
//            final Label temp = group.findActor("total"+i);
//            int UTpoints = 0;
//
//            boolean isEndOfGame = false;
//            final int startValue = GameConfig.points[i] - actionValue[i] ;
//            float delay = 0.15f;
//            float delayTotal;
//
//            if(i == winner){
//                temp2.setText(actionValue[i] + "");
//                if(actionValue[i] < 20){
//                    temp.setText(startValue+"");
//                    for (int m = 1;m <= actionValue[i] ;m++){
//                        final Label finalTemp = temp;
//                        final int finalM = m;
//                        Timer.instance().scheduleTask(new Timer.Task() {
//                            @Override
//                            public void run() {
//                                int x =  startValue+ finalM;
//                                finalTemp.setText(x+"");
//                            }
//                        },delay*m + 0.3f);
//                    }
//                    delayTotal = delay*actionValue[i] + 0.3f;
//                }
//                else {
//                    float[] delatTime = new float[actionValue[i]+1];
//                    delatTime[0] = 0.15f;
//                    temp.setText(startValue+"");
//                    for (int m = 1;m <= actionValue[i] ;m++){
//                        final Label finalTemp = temp;
//                        final int finalM = m;
//                        if( m > actionValue[i]-5){
//                            delatTime[m] = delatTime[m-1] + 0.15f;
//                        }
//                        else {
//                            delatTime[m] = delatTime[m-1] + 0.08f;
//                        }
//                        Timer.instance().scheduleTask(new Timer.Task() {
//                            @Override
//                            public void run() {
//                                int x =  startValue+ finalM;
//                                finalTemp.setText(x+"");
//                            }
//                        },delatTime[m] + 0.3f);
//                    }
//                    delayTotal = delatTime[actionValue[i]] + 0.3f;
//                }
//
//                if(isEndOfGame){
//                    Group win =   group.findActor("winningscore");
//                    win.setOrigin(Align.center);
//                    win.addAction(Actions.forever(
//                            Actions.sequence(
//                                    Actions.scaleTo(1.1f,1.1f,0.6f),
//                                    Actions.scaleTo(0.95f,0.95f,0.6f)
//
//                            )
//                    ));
//                    final Group winTotla = group.findActor("tPoints"+i);
//                    winTotla.setOrigin(Align.center);
//                    Timer.instance().scheduleTask(new Timer.Task() {
//                        @Override
//                        public void run() {
//                            winTotla.addAction(Actions.forever(
//                                    Actions.sequence(
//                                            Actions.scaleTo(1.2f,1.2f,0.6f),
//                                            Actions.scaleTo(0.90f,0.90f,0.6f)
//
//                                    )));
//                        }
//                    },delayTotal);
//                }
//
//            }
//        }
//
//
//        if(winner == 0){
//            group.findActor("you_lose").setVisible(false);
//            isWin = true;
//        }else {
//            group.findActor("you_won").setVisible(false);
//            isWin = false;
//        }
//
//
//    }
//
//    public void setListener(HandEndListener listener) {
//        this.listener = listener;
//    }
//
//    private void initButtons(){
//        group.findActor("btn_next").addListener(new ButtonListener2(){
//            @Override
//            public void clicked(InputEvent event, float x, float y) {
//                super.clicked(event, x, y);
//                if(listener!=null){
//                    close();
//                }
//            }
//        });
//    }
//
//    @Override
//    public void close() {
//        super.close();
//
//        if(listener!=null){
//            if(gameEnd){
//                listener.ok();
//            }else {
//                listener.next();
//
//                //////////////////////////// DNA ////////////////////////////////
//                DeltaDNAManager.addUiInteraction("roundEnd","button","next", FileUtil.roundEndNext);
//                /////////////////////////////////////////////////////////////////
//            }
//        }
//        DominoGame.isShowEnd = false;
//    }
//
//    @Override
//    protected void show() {
//        super.show();
//        Actor btn = group.findActor("btn_next");
//        btn.setOrigin(Align.center);
//        btn.setScale(0.6f);
//        btn.addAction(
//                Actions.sequence(
//                        Actions.scaleTo(1.1f,1.1f,0.3f),
//                        Actions.scaleTo(1.0f,1.0f,0.1f)
//
//                )
//        );
//
//    }
//
//    public interface HandEndListener{
//        void next();
//        void ok();
//    }
//
//    private int allfiveScore(int n){
//        int x;
//
//        int a = n%5;
//        int b = n/5;
//
//        if(a>=3){
//            b++;
//        }
//        x = b*5;
//
//        return x;
//
//    }
//}
