//package com.mobilegame.dominoes.dialogs;
//
//import com.badlogic.gdx.graphics.Color;
//import com.badlogic.gdx.graphics.g2d.Batch;
//import com.badlogic.gdx.graphics.g2d.Sprite;
//import com.badlogic.gdx.scenes.scene2d.Actor;
//import com.badlogic.gdx.scenes.scene2d.Group;
//import com.badlogic.gdx.scenes.scene2d.InputEvent;
//import com.badlogic.gdx.scenes.scene2d.ui.Label;
//import com.mobilegame.dominoes.assets.Assets;
//import com.mobilegame.dominoes.utils.listener.MClickListener;
//
//public class SettingButton extends Actor {
//    int num = 2;
//    Sprite[] bg;
//    private int offset = 2;
//    private int select = -1;
//    private String[] spriteName = new String[3];
//    SettingButtonListener listener;
//    Label[] text;
//
//    public SettingButton(int num, String name, Group group, SettingButtonListener listener) {
//        this.num = num;
//        this.listener = listener;
//        bg = new Sprite[num];
//        bg[0] = Assets.instance.ui.createSprite("temp_left");
//        spriteName[0] = "left";
//        width = bg[0].getWidth();
//        width += offset;
//        if (num == 2) {
//            bg[1] = Assets.instance.ui.createSprite("temp2_right");
//            spriteName[1] = "right";
//            width += bg[1].getWidth();
//            text = new Label[2];
//        } else {
//            bg[1] = Assets.instance.ui.createSprite("temp2_middle");
//            bg[2] = Assets.instance.ui.createSprite("temp2_right");
//            spriteName[1] = "middle";
//            spriteName[2] = "right";
//            width += bg[1].getWidth();
//            width += offset;
//            width += bg[2].getWidth();
//            text = new Label[3];
//        }
//
//        for (int i = 0; i < text.length; i++) {
//            text[i] = group.findActor(name + "_label_" + i);
//        }
//
//        setSize(width, 66);
//        addListener(new MClickListener() {
//            @Override
//            public void clicked(InputEvent event, float x, float y) {
//                super.clicked(event, x, y);
//                SettingButton.this.touchDown(x, y);
//            }
//        });
//        setSelected(0);
//    }
//
//
//    private void touchDown(float x, float y) {
//        float temp = 0;
//        int tempSelect = select;
//        for (int i = 0; i < num; i++) {
//            if (x > temp && x < temp + bg[i].getWidth()) {
//                tempSelect = i;
//                break;
//            }
//            temp += bg[i].getWidth();
//            temp += offset;
//        }
//        if(listener.selected(tempSelect)) {
//            setSelected(tempSelect);
//        }
//    }
//
//    public void setSelected(int value) {
//        if (value == -1) return;
//        if (value != select) {
//            Sprite temp;
//            if (select != -1) {
//                temp = bg[select];
//                text[select].setColor(new Color(131 / 255F, 85 / 255F, 64 / 255F, 1));
//                bg[select] = Assets.instance.ui.createSprite("temp2_" + spriteName[select]);
//                bg[select].setPosition(temp.getX(), temp.getY());
//            }
//            temp = bg[value];
//            bg[value] = Assets.instance.ui.createSprite("temp_" + spriteName[value]);
//            bg[value].setPosition(temp.getX(), temp.getY());
//            text[value].setColor(Color.BLACK);
//            select = value;
//        }
//    }
//
//
//    @Override
//    public void setPosition(float x, float y) {
//        super.setPosition(x, y);
//        float temp = x;
//        for (int i = 0; i < num; i++) {
//            bg[i].setPosition(temp, y);
//            temp += bg[i].getWidth();
//            temp += offset;
//        }
//    }
//
//    @Override
//    public void draw(Batch batch, float parentAlpha) {
//        super.draw(batch, parentAlpha);
//        for (int i = 0; i < num; i++) {
//            bg[i].draw(batch);
//        }
//    }
//
//    public interface SettingButtonListener {
//        public boolean selected(int id);
//
//    }
//
//}
