//package com.mobilegame.dominoes.dialogs;
//
//import com.badlogic.gdx.scenes.scene2d.Actor;
//import com.badlogic.gdx.scenes.scene2d.Group;
//import com.badlogic.gdx.scenes.scene2d.InputEvent;
//import com.badlogic.gdx.scenes.scene2d.Touchable;
//import com.badlogic.gdx.scenes.scene2d.actions.Actions;
//import com.badlogic.gdx.scenes.scene2d.utils.ClickListener;
//import com.badlogic.gdx.utils.Align;
//import com.mobilegame.dominoes.audio.AudioManager;
//import com.mobilegame.dominoes.data.FileUtil;
//import com.mobilegame.dominoes.data.SettingDataUtil;
//import com.mobilegame.dominoes.flurry.DeltaDNAManager;
//import com.mobilegame.dominoes.utils.ABTestUtil;
//import com.mobilegame.dominoes.utils.listener.ButtonListener2;
//
//
//public class SettingDialog extends BaseDialog {
//    private SettingListener listener;
//
//    private boolean isMusic;
//    private boolean isSound;
//
//    private Group turnMusic;
//    private Group turnSonud;
//
//    private String settingName = "setting1";
//    private String settingNameMusic = FileUtil.mainSettingMusic;
//    private String settingNameSound = FileUtil.mainSettingSound;
//
//    public SettingDialog(String name) {
//        super(name);
//        group.setTouchable(Touchable.enabled);
//        initButtons();
//        showMusicAndSoundinit();
//    }
//
//    public void setListener(SettingListener listener) {
//        this.listener = listener;
//    }
//
//    private void initButtons() {
//
//        Actor exit = group.findActor("exit");
//        Actor home = group.findActor("home");
//
//        if (exit != null) {
//            exit.setVisible(!ABTestUtil.isABTestA);
//            settingName = "setting2";
//            settingNameMusic = FileUtil.gameSettingMusic;
//            settingNameSound = FileUtil.gameSettingSound;
//        }
//        if (home != null) {
//            home.setVisible(ABTestUtil.isABTestA);
//        }
//
//        Actor btn = group.findActor("btn_quit", Touchable.enabled);
//        if (btn != null) {
//            btn.addListener(new ButtonListener2() {
//                @Override
//                public void clicked(InputEvent event, float x, float y) {
//                    super.clicked(event, x, y);
//                    if (listener != null) {
//                        listener.home();
//
//                        //////////////////////////// DNA ////////////////////////////////
//                        DeltaDNAManager.addUiInteraction("setting2", "button", "home", FileUtil.gameSettingHome);
//                        /////////////////////////////////////////////////////////////////
//                    }
//                }
//            });
//        }
//
//        btn = group.findActor("btn_restart", Touchable.enabled);
//        if (btn != null) {
//            btn.addListener(new ButtonListener2() {
//                @Override
//                public void clicked(InputEvent event, float x, float y) {
//                    super.clicked(event, x, y);
//                    if (listener != null) {
//                        listener.startNew();
//
//                        //////////////////////////// DNA ////////////////////////////////
//                        DeltaDNAManager.addUiInteraction("setting2", "button", "restart", FileUtil.gameSettingRestart);
//                        /////////////////////////////////////////////////////////////////
//                    }
//                }
//            });
//        }
//        btn = group.findActor("btn_design", Touchable.enabled);
//        if (btn != null) {
//            btn.addListener(new ButtonListener2() {
//                @Override
//                public void clicked(InputEvent event, float x, float y) {
//                    super.clicked(event, x, y);
//                    if (listener != null) {
//                        listener.openDesignDialog();
//
//                        //////////////////////////// DNA ////////////////////////////////
//                        DeltaDNAManager.addUiInteraction("setting2", "button", "help", FileUtil.gameSettingHelp);
//                        /////////////////////////////////////////////////////////////////
//                    }
//                }
//            });
//        }
//
//        turnMusic = group.findActor("btn_music", Touchable.enabled);
//        if (turnMusic != null) {
//            turnMusic.addListener(new ClickListener() {
//                @Override
//                public void clicked(InputEvent event, float x, float y) {
//                    super.clicked(event, x, y);
//                    turnMusic();
//
//                    //////////////////////////// DNA ////////////////////////////////
//                    DeltaDNAManager.addUiInteraction(settingName, "button", "music", settingNameMusic);
//                    /////////////////////////////////////////////////////////////////
//                }
//            });
//        }
//
//        turnSonud = group.findActor("btn_sound", Touchable.enabled);
//        if (turnSonud != null) {
//            turnSonud.addListener(new ClickListener() {
//                @Override
//                public void clicked(InputEvent event, float x, float y) {
//                    super.clicked(event, x, y);
//                    turnSonud();
//
//                    //////////////////////////// DNA ////////////////////////////////
//                    DeltaDNAManager.addUiInteraction(settingName, "button", "sound", settingNameSound);
//                    /////////////////////////////////////////////////////////////////
//                }
//            });
//        }
//
//        if (group.findActor("player_words") != null) {
//            group.findActor("player_words").setVisible(false);
//        }
////            group.findActor("player_words").addAction(
////                    Actions.sequence(
////                            Actions.fadeOut(0.01f),
////                            Actions.fadeIn(1f),
////                            Actions.delay(1f),
////                            Actions.fadeOut(1f)
////
////                    )
////            );
////        }
//
//    }
//
//    private void turnMusic() {
//
//        boolean music = SettingDataUtil.getMusic();
//        SettingDataUtil.setMusic(!music);
//        if (!music) {
//            AudioManager.playMusic();
//        } else {
//            AudioManager.stopMusic();
//        }
//        showMusicAndSound();
////        Gdx.app.log("test","music");
//
//    }
//
//    private void turnSonud() {
//        boolean sonund = SettingDataUtil.getSound();
//        SettingDataUtil.setSound(!sonund);
//        showMusicAndSound();
//    }
//
//    private void showMusicAndSound() {
//
//        float y;
//        if (SettingDataUtil.getSound()) {
//            group.findActor("up2").setVisible(true);
//
//            group.findActor("up2").addAction(
//                    Actions.fadeIn(0.3f)
//            );
//            group.findActor("off2").addAction(
//                    Actions.fadeOut(0.3f)
//            );
//
//            y = group.findActor("turn_sound").getY();
//            group.findActor("turn_sound").addAction(
//                    Actions.moveTo(57, y, 0.3f)
//            );
//        } else {
//
//            group.findActor("off2").setVisible(true);
//
//            y = group.findActor("turn_sound").getY();
//            group.findActor("turn_sound").addAction(
//                    Actions.moveTo(-10, y, 0.3f)
//            );
//            group.findActor("up2").addAction(
//                    Actions.fadeOut(0.3f)
//            );
//            group.findActor("off2").addAction(
//                    Actions.fadeIn(0.3f)
//            );
//        }
//
//        if (SettingDataUtil.getMusic()) {
//            group.findActor("up1").setVisible(true);
//
//            y = group.findActor("turn_music").getY();
//            group.findActor("turn_music").addAction(
//                    Actions.moveTo(57, y, 0.3f)
//            );
//            group.findActor("up1").addAction(
//                    Actions.fadeIn(0.3f)
//            );
//            group.findActor("off1").addAction(
//                    Actions.fadeOut(0.3f)
//            );
//        } else {
//
//            group.findActor("off1").setVisible(true);
//            group.findActor("up1").addAction(
//                    Actions.fadeOut(0.3f)
//            );
//            group.findActor("off1").addAction(
//                    Actions.fadeIn(0.3f)
//            );
//            y = group.findActor("turn_music").getY();
//            group.findActor("turn_music").addAction(
//                    Actions.moveTo(-10, y, 0.3f)
//            );
//        }
//
//
//    }
//
//    private void showMusicAndSoundinit() {
//
//        float y;
//        if (SettingDataUtil.getSound()) {
//            group.findActor("up2").setVisible(true);
//            group.findActor("off2").setVisible(false);
//
//            y = group.findActor("turn_sound").getY();
//            group.findActor("turn_sound").setX(57);
//        } else {
//
//
//            y = group.findActor("turn_sound").getY();
//            group.findActor("turn_sound").setX(-10);
//            group.findActor("up2").setVisible(false);
//            group.findActor("off2").setVisible(true);
//        }
//
//        if (SettingDataUtil.getMusic()) {
//
//            y = group.findActor("turn_music").getY();
//            group.findActor("turn_music").setX(57);
//            group.findActor("up1").setVisible(true);
//            group.findActor("off1").setVisible(false);
//        } else {
//            group.findActor("up1").setVisible(false);
//            group.findActor("off1").setVisible(true);
//            y = group.findActor("turn_music").getY();
//            group.findActor("turn_music").setX(-10);
//        }
//
//
//    }
//
//
//    @Override
//    protected void show() {
//        super.show();
//        Actor btn = group.findActor("btn_quit", Touchable.enabled);
//        if (btn != null) {
//            btn.setOrigin(Align.center);
//            btn.setScale(0.6f);
//            btn.addAction(
//                    Actions.sequence(
//                            Actions.scaleTo(1.1f, 1.1f, 0.3f),
//                            Actions.scaleTo(1.0f, 1.0f, 0.1f)
//
//                    )
//            );
//        }
//
//        btn = group.findActor("btn_restart", Touchable.enabled);
//        if (btn != null) {
//            btn.setOrigin(Align.center);
//            btn.setScale(0.6f);
//            btn.addAction(
//                    Actions.sequence(
//                            Actions.scaleTo(1.1f, 1.1f, 0.3f),
//                            Actions.scaleTo(1.0f, 1.0f, 0.1f)
//
//                    )
//            );
//        }
//        btn = group.findActor("btn_design", Touchable.enabled);
//        if (btn != null) {
//            btn.setOrigin(Align.center);
//            btn.setScale(0.6f);
//            btn.addAction(
//                    Actions.sequence(
//                            Actions.scaleTo(1.1f, 1.1f, 0.3f),
//                            Actions.scaleTo(1.0f, 1.0f, 0.1f)
//
//                    )
//            );
//        }
//
//    }
//
//    public interface SettingListener {
//        void startNew();
//
//        void home();
//
//        void openDesignDialog();
//
//    }
//
//}
