package com.mobilegame.dominoes.objects;

import com.badlogic.gdx.graphics.g2d.Sprite;
import com.mobilegame.dominoes.assets.Assets;

public class DominoCardCommon {
    public Sprite green;
    public Sprite yellow;
    final static public int GREEN = 0;
    final static public int YELLOW = 1;
    private static DominoCardCommon instance;
    private DominoCardCommon(){
        green = Assets.instance.newUI.createSprite("domino_frame_green");
        yellow = Assets.instance.newUI.createSprite("domino_frame_yellow");
    }

    public static void reset(){
        instance = new DominoCardCommon();
    }

    public static DominoCardCommon getInstance() {
        if(instance == null){
            instance = new DominoCardCommon();
        }
        return instance;
    }
}
