//package com.mobilegame.dominoes.objects;
//
//import com.badlogic.gdx.graphics.g2d.Batch;
//import com.badlogic.gdx.graphics.g2d.Sprite;
//import com.badlogic.gdx.scenes.scene2d.Actor;
//import com.badlogic.gdx.scenes.scene2d.Touchable;
//import com.badlogic.gdx.utils.Align;
//import com.mobilegame.dominoes.assets.Assets;
//
//public class NormalButton extends Actor {
//    Sprite icon;
//    Sprite bg;
//    protected boolean drawIcon = true;
//
//    public NormalButton(String name) {
//        setName(name);
//        bg = Assets.instance.ui.createSprite("btn_bg");
//        icon = Assets.instance.ui.createSprite(name);
//        icon.setOriginCenter();
//        setSize(bg.getWidth(), bg.getHeight());
//    }
//
//    @Override
//    public void setPosition(float x, float y, int alignment) {
//        super.setPosition(x, y, alignment);
//        bg.setPosition(getX(Align.bottomLeft),getY(Align.bottomLeft));
//        icon.setOriginBasedPosition(getX(Align.center),getY(Align.center));
//    }
//
//    @Override
//    public Actor hit(float x, float y, boolean touchable) {
//        if (touchable && this.getTouchable() != Touchable.enabled) return null;
//        return x >= -10 && x < width+10 && y >= -10 && y < height+10 ? this : null;
//    }
//
//    @Override
//    public void setScale(float scaleXY) {
//        super.setScale(scaleXY);
//        icon.setScale(scaleXY);
//    }
//
//    @Override
//    public void setScale(float scaleX, float scaleY) {
//        super.setScale(scaleX, scaleY);
//        icon.setScale(scaleX,scaleY);
//    }
//
//    @Override
//    public void draw(Batch batch, float parentAlpha) {
//        bg.draw(batch, parentAlpha);
//        if(drawIcon) {
//            icon.draw(batch, parentAlpha);
//        }
//    }
//}
