package com.mobilegame.dominoes.utils;

public class Vector2Int {
    public int x;
    public int y;
    public Vector2Int(int x,int y){
        this.x = x;
        this.y = y;
    }

    public Vector2Int(Vector2Int vec){
        this.x = vec.x;
        this.y = vec.y;
    }

    public Vector2Int(){}

    public Vector2Int add(Vector2Int vec){
        return new Vector2Int(x+vec.x,y+vec.y);
    }

    public Vector2Int sub(Vector2Int vec){
        return new Vector2Int(x-vec.x,y-vec.y);
    }

    public Vector2Int halfVec(Vector2Int vec){
        return new Vector2Int(Math.round(vec.x/2F),Math.round(vec.y/2F));
    }

    @Override
    public String toString() {
        return x +"  " + y;
    }
}
