package com.mobilegame.dominoes.Animation;

import com.badlogic.gdx.scenes.scene2d.ui.Label;
import com.badlogic.gdx.utils.Timer;

/**
 * Created by Doodle on 2021/2/18.
 */

public class GamePointAddAnimiaton {
    private Label label;
    private int addPoint;
    private int addPointBefore;
    private final float delay = 0.1f;

    public GamePointAddAnimiaton(Label label, int addPoint, int addPointBefore) {
        this.label = label;
        this.addPoint = allfiveScore(addPoint);
        this.addPointBefore = addPointBefore;
    }

    public void showPointAction() {
        final int startValue = addPointBefore - addPoint;
        if (addPoint < 20) {
            label.setText(startValue + "");
            for (int m = 1; m <= addPoint; m++) {
                final int finalM = m;
                //游戏界面加分动画
                Timer.instance().scheduleTask(new Timer.Task() {
                    @Override
                    public void run() {
                        int x = startValue + finalM;
                        label.setText(x + "");
                    }
                }, delay * m);
            }
        } else {
            float[] delatTime = new float[addPoint + 1];
            delatTime[0] = delay;
            label.setText(startValue + "");
            for (int m = 1; m <= addPoint; m++) {
                final int finalM = m;
                if (m > addPoint - 5) {
                    delatTime[m] = delatTime[m - 1] + 0.15f;
                } else {
                    delatTime[m] = delatTime[m - 1] + 0.08f;
                }
                Timer.instance().scheduleTask(new Timer.Task() {
                    @Override
                    public void run() {
                        int x = startValue + finalM;
                        label.setText(x + "");
                    }
                }, delatTime[m]);
            }
        }
    }

    private int allfiveScore(int n) {
        int x;

        int a = n % 5;
        int b = n / 5;

        if (a >= 3) {
            b++;
        }
        x = b * 5;

        return x;
    }
}
