package com.mobilegame.dominoes.DNAManage;

import com.badlogic.gdx.utils.Array;

/**
 * Created by Doodle on 2021/1/25.
 */

public class DnaTilesDraw {
    public Array<DnaTilesDrawDate> dnaTilesDrawDates = new Array<>();

    public void addDnaDraw(int id, String player, boolean isLink) {
        addDnaDraw(new DnaTilesDrawDate(id, player, isLink));
    }

    public void addDnaDraw(DnaTilesDrawDate dnaTilesDrawDate) {
        if (dnaTilesDrawDate == null) {
            return;
        }

        dnaTilesDrawDates.add(dnaTilesDrawDate);
    }

    public String getDates() {
        StringBuffer stringBuffer = new StringBuffer();

        for (DnaTilesDrawDate dtdd : dnaTilesDrawDates) {
            stringBuffer.append(dtdd.getDate() + "//");
        }
        return stringBuffer.toString();
    }

    public class DnaTilesDrawDate {
        public int dominoid;
        public String dominoPlayer;
        public boolean isLink;

        public DnaTilesDrawDate(int id, String dominoPlayer, boolean isLink) {
            this.dominoid = id;
            this.dominoPlayer = dominoPlayer;
            this.isLink = isLink;
        }

        public void setDate(int id, String player, boolean isLink) {
            this.dominoid = id;
            this.dominoPlayer = player;
            this.isLink = isLink;
        }

        public String getDate() {
            return dominoid + "," + dominoPlayer + "," + isLink;
        }
    }
}
