package com.mobilegame.dominoes.assets;
import java.util.HashSet;

public class History {
    private int playAs;
    private int level;
    private byte[] data;
    HashSet<TimeData> timeData = new HashSet<>();
    private long time;
    public int getPlayAs() {
        return playAs;
    }

    public void setPlayAs(int playAs) {
        this.playAs = playAs;
    }

    public int getLevel() {
        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public byte[] getData() {
        return data;
    }

    public void setData(byte[] data) {
        this.data = data;
    }

    public void addTimeData(TimeData value){
        time+=(value.end -value.start);
    }

    public long getTime(){
        if(time == 0){
            for(TimeData temp:timeData){
                time +=(temp.end-temp.start);
            }
        }
        return time;
    }

    public void setTime(long time) {
        this.time = time;
    }

    public static class TimeData{
        long start = System.currentTimeMillis();
        public long end = 0;
    }
}
