package com.mobilegame.dominoes.audio;

import com.mobilegame.dominoes.data.SettingDataUtil;

import java.util.Random;

public class AudioManager {

//    public  static void AllVoiceStart() {
//		AudioProcess.playAllMusic();
//    }

//    public static void AllVoicePause() {
//        AudioProcess.pauseAllMusic();
//    }

    private static long slideStartTime = 0;
    private static long slideDelatTime = 100;

    private static long winTime = 0;
    private static long winDeltaTime = 2500;

    public static void PlaySound(AudioType type,int extra){

//        Gdx.app.log("audio",""+type);

        switch (type){

            case change_dec:
                playSound("change_dec");
                break;
            case deck_appear:
                playSound("deck_appear");
                break;
            case drawboneyard0:
                playSound("drawboneyard0");
                break;
            case draw:

                String string = "draw";
                Random r = new Random();
                int m = r.nextInt(2);

                string += m;
                playSound(string);

                break;
            case locked:
                playSound("locked");
                break;
            case score:
                playSound("score");
                break;
            case unlock:
                playSound("unlock");
                break;
            case button:
                playSound("button");
                break;
            case gameEnd:
                playSound("gameEnd");
                break;
            case handEnd:
                playSound("handEnd");
                break;
            case tiger:
                playSound("tiger");
                break;

        }
    }

    public static void PlaySound(AudioType type) {
        PlaySound(type, 1);
    }

    private static void playSound(String soundName) {
        if (!SettingDataUtil.getSound())
            return;
//        Gdx.app.log("audio2",""+soundName);
        AudioProcess.playSound(soundName);
//        else
//            Debug.log("no sound Data in Csv: "+soundName);
    }

    public static void playMusic() {
        if (!SettingDataUtil.getMusic())
            return;
        else {
            AudioProcess.playMusic();
        }
    }

    public static void pauseMusic() {
        if (!SettingDataUtil.getMusic())
            return;
        else {
            AudioProcess.pauseMusic();
        }
    }

    public static void resumeMusic() {
        if (!SettingDataUtil.getMusic()){
            return;
        } else{
            AudioProcess.resumeMusic();
        }

    }

    public static void playNextMusic() {
        if (!SettingDataUtil.getMusic())
            return;

        AudioProcess.playMusic();
    }

    public static void stopMusic() {
        AudioProcess.stopMusic();
    }

    public static void pauseMusic(String musicName) {
//        AudioProcess.pauseMusic(musicName);
    }

    public static void stopMusic(String musicName) {
        AudioProcess.stopMusic(musicName);
    }


    public static void stopAllMusic() {
        AudioProcess.stopAllMusic();
    }


    public enum AudioType{
        change_dec,
        deck_appear,
        draw,
        drawboneyard0,
        locked,
        score,
        unlock,
        button,
        handEnd,
        gameEnd,
        tiger
    }

}
