//package com.mobilegame.dominoes.dialogs;
//
//import com.badlogic.gdx.scenes.scene2d.Group;
//import com.badlogic.gdx.scenes.scene2d.InputEvent;
//import com.badlogic.gdx.scenes.scene2d.Touchable;
//import com.badlogic.gdx.scenes.scene2d.ui.Image;
//import com.badlogic.gdx.utils.Align;
//import com.badlogic.gdx.utils.Timer;
//import com.mobilegame.dominoes.DominoGame;
//import com.mobilegame.dominoes.assets.Assets;
//import com.mobilegame.dominoes.audio.AudioManager;
//import com.mobilegame.dominoes.handles.GameConfig;
//import com.mobilegame.dominoes.utils.LeagueUtil;
//import com.mobilegame.dominoes.utils.listener.ButtonListener3;
//
//import java.util.ArrayList;
//import java.util.Random;
//
///**
// * Created by qwe on 2020/10/27.
// * 老虎机
// */
//
//public class FanbeiDialog extends BaseDialog {
//
//
//    private Scale[] scales = new Scale[12];
//
//    private int buttonType;
//    private Image buttongBg1;
//    private Image buttongBg2;
//    private Group[] buttons;
//
//    private Image buttonFree;
//    private Image buttonGiveup;
//    private Image buttonAgain;
//    private Image buttonPlay;
//    private Image buttonPlayNow;
//
//    private int chooseNumber;
//    private float delta = 0;
//    private boolean isAction;
//    private ArrayList<Integer> arrayList = new ArrayList<>();
//
//    private FanbeinListener Flistener;
//
//
//    public FanbeiDialog(String name) {
//
//        super(name);
//        float[] positionX = {66,188,310,432};
//        float[] positionY = {682,570,458,346};
//        float[] wayX = {1,0,-1,0};
//        float[] wayY = {0,1,0,-1};
//        float[] scaleNum = {1.3f,3.0f,2.2f,2.0f,1.8f,1.5f};
//
//        int way = 0;
//        int x = 0;
//        int y = 0;
//        isAction = false;
//
//        for (int i = 0;i < 12;i++){
//            scales[i] = new Scale(scaleNum[i%6]);
//            scales[i].setPosition(positionX[x],positionY[y]);
//            group.addActor(scales[i]);
//
//            scales[i].notChoose();
//            if(i%3 == 0 && i > 0){
//                way++;
//            }
//            x+=wayX[way];
//            y+=wayY[way];
//        }
//
//        buttonType = 0;
//        buttons = new Group[3];
//        for (int i = 0;i < 3;i++){
//           buttons[i] = group.findActor("buttonTeam"+(i+1));
//        }
//        buttongBg1 = group.findActor("bg1");
//        buttongBg2 = group.findActor("bg2");
//
//
//        scales[0].inChoose();
//        chooseNumber = 0;
//        initButton();
//        checkButtonType();
//
//    }
//
//    public void run(){
//
//        Random random = new Random();
//        isAction = true;
//        int step = random.nextInt(12)+arrayList.size()*3;
//        while (!scales[ step % 12].isUse){
//            step++;
//        }
//
//        delta = 0;
//
//        for (int i = chooseNumber;i <= step ;i++){
//
//            final int finalI = i;
//            Timer.instance().scheduleTask(
//                    new Timer.Task() {
//                        @Override
//                        public void run() {
//                            for (int x = 0;x < 12;x++){
//                                scales[x].notChoose();
//                            }
//                            AudioManager.PlaySound(AudioManager.AudioType.tiger);
//                            scales[ arrayList.get(finalI % arrayList.size())].inChoose();
//                        }
//                    },delta
//            );
//
//
//            if(i < arrayList.size()){
//                delta+=0.05f;
//            }
//            else if(i < arrayList.size()*2){
//                delta += 0.1f;
//            }
//
//            else if( i > step-3){
//                delta += 0.5f;
//            }
//            else {
//                delta += 0.2f;
//            }
//
//            chooseNumber = arrayList.get(i % arrayList.size());
//        }
//
//        LeagueUtil.ScoreScale = scales[ chooseNumber].scaleNum;
//
////        Gdx.app.log("yxk",scales[ chooseNumber].scaleNum+"");
////        Gdx.app.log("yxk",LeagueUtil.ScoreScale+"");
////        Gdx.app.log("yxk",scales[ chooseNumber].scaleNum+"");
//    }
//
//    public void checkUse(){
//
//        arrayList.clear();
//
//        for (int x = 0;x < 12;x++){
//            if( scales[x].scaleNum < LeagueUtil.ScoreScale)
//                scales[x].notUse();
//            else {
//                arrayList.add(x);
//            }
//        }
//    }
//
//    public void checkButtonType(){
//        for (int i = 0;i < 3;i++){
//            buttons[i].setVisible(false);
//        }
//        buttons[buttonType].setVisible(true);
//
//        if(buttonType < 2){
//            buttongBg1.setVisible(true);
//            buttongBg2.setVisible(false);
//        }
//        else {
//            buttongBg1.setVisible(false);
//            buttongBg2.setVisible(true);
//        }
//    }
//
//    private void initButton(){
//
//        buttonAgain = group.findActor("buttonAgain");
//        buttonAgain.setTouchable(Touchable.enabled);
//        buttonAgain.addListener(new ButtonListener3(){
//            @Override
//            public void touchUp(InputEvent event, float x, float y, int pointer, int button) {
//                super.touchUp(event, x, y, pointer, button);
//                if(isAction)
//                    return;
//                Flistener.bigger();
//            }
//
//        });
//
//
//        buttonFree = group.findActor("buttonfree");
//        buttonFree.setTouchable(Touchable.enabled);
//        buttonFree.addListener(new ButtonListener3(){
//            @Override
//            public void touchUp(InputEvent event, float x, float y, int pointer, int button) {
//                super.touchUp(event, x, y, pointer, button);
//                if(isAction)
//                    return;
//                Flistener.free();
//            }
//        });
//
//        buttonGiveup = group.findActor("buttonGiveup");
//        buttonGiveup.setTouchable(Touchable.enabled);
//        buttonGiveup.addListener(new ButtonListener3(){
//            @Override
//            public void touchUp(InputEvent event, float x, float y, int pointer, int button) {
//                super.touchUp(event, x, y, pointer, button);
//                if(isAction)
//                    return;
//                Flistener.play();
//            }
//        });
//
//        buttonPlay = group.findActor("buttonPlay");
//        buttonPlay.setTouchable(Touchable.enabled);
//        buttonPlay.addListener(new ButtonListener3(){
//            @Override
//            public void touchUp(InputEvent event, float x, float y, int pointer, int button) {
//                super.touchUp(event, x, y, pointer, button);
//                if(isAction)
//                    return;
//                Flistener.play();
//            }
//        });
//
//        buttonPlayNow = group.findActor("buttonPlayNow");
//        buttonPlayNow.setTouchable(Touchable.enabled);
//        buttonPlayNow.addListener(new ButtonListener3(){
//            @Override
//            public void touchUp(InputEvent event, float x, float y, int pointer, int button) {
//                super.touchUp(event, x, y, pointer, button);
//                if(isAction)
//                    return;
//                Flistener.play();
//            }
//        });
//
//    }
//
//    @Override
//    protected void show() {
//        super.show();
//        LeagueUtil.ScoreScale = 1;
//        checkUse();
//    }
//
//    @Override
//    public void close() {
//        if(isAction)
//            return;
//        Flistener.play();
//        super.close();
//    }
//
//    public interface FanbeinListener {
//        void free();
//        void play();
//        void bigger();
//
//    }
//
//    public void addListener(final DominoGame game){
//        Flistener = new FanbeinListener() {
//            @Override
//            public void free() {
//                run();
//
//                Timer.instance().scheduleTask(new Timer.Task() {
//                    @Override
//                    public void run() {
//                        checkUse();
//                        if(LeagueUtil.ScoreScale == 3.0f){
//                            buttonType = 2;
//                        }
//                        else {
//                            buttonType = 1;
//                        }
//                        checkButtonType();
//                        isAction = false;
//                    }
//                },delta);
//
//            }
//
//            @Override
//            public void play() {
//                GameConfig.isLeague = true;
//                GameConfig.targetPoints = 100;
////                GameConfig.hardLevel = LeagueUtil.getLevel();
//                game.gotoGameScreen();
//            }
//
//            @Override
//            public void bigger() {
//                if(LeagueUtil.getCoins() < 20){
//                    return;
//                }
//
//
//                run();
//                LeagueUtil.addCoins(-20);
//                Timer.instance().scheduleTask(new Timer.Task() {
//                    @Override
//                    public void run() {
//                        checkUse();
//                        if(LeagueUtil.ScoreScale == 3.0f){
//                            buttonType = 2;
//                        }
//                        else {
//                            buttonType = 1;
//                        }
//                        checkButtonType();
//                        isAction = false;
//                    }
//                },delta);
//            }
//        };
//    }
//
//
//    class Scale extends Group{
//
//        public float scaleNum;
//        public boolean isUse;
//
//        Image bg;
//        Image choose;
//        Image notUse;
//        Image num;
//
//        public Scale(float scaleNum) {
//            this.scaleNum = scaleNum;
//            isUse = true;
//
//            if(scaleNum == 3){
//                bg = new Image(Assets.ui.findRegion("3bei"));
//            }
//            else {
//                bg = new Image(Assets.ui.findRegion("fanbeinormal"));
//            }
//            choose = new Image(Assets.ui.findRegion("kuang"));
//            notUse = new Image(Assets.ui.findRegion("fanbeigray"));
//            num = new Image(Assets.ui.findRegion(scaleNum+""));
//
//            setSize(bg.getWidth(),bg.getHeight());
//
//            addActor(bg);
//            addActor(choose);
//            addActor(notUse);
//            addActor(num);
//
//            num.setPosition(getWidth()/2,getHeight()/2, Align.center);
//            choose.setPosition(getWidth()/2,getHeight()/2 +1, Align.center);
//            Check();
//
//        }
//
//        public void inChoose(){
//            choose.setVisible(true);
//        }
//
//        public void notChoose(){
//            choose.setVisible(false);
//        }
//
//        public void notUse(){
//            isUse = false;
//            Check();
//        }
//
//        public void Check(){
//            notUse.setVisible(!isUse);
//        }
//    }
//}
