package com.mobilegame.dominoes.dialogs;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.scenes.scene2d.ui.Label;
import com.badlogic.gdx.utils.Align;
import com.mobilegame.dominoes.assets.Assets;

/**
 * Created by qwe on 2020/10/29.
 */

public class LeagueInfoDialog extends BaseDialog {
    public LeagueInfoDialog(String name) {
        super(name);

        Label.LabelStyle style1 = new Label.LabelStyle();
        style1.font  = Assets.instance.fonts[0];
        style1.fontColor = Color.WHITE;

        Label m = new Label("",style1);
        m.setFontScale(0.8f);
        group.addActor(m);
        m.setText("Get as many points as you can in the\ngame. You will be ranked according to\nyour total score for each league. The\nhigher you rank, the more rewards\nyou get!");
        m.setAlignment(Align.center);
        m.setPosition(group.getWidth()/2,125,Align.center);
    }
}
