package com.mobilegame.dominoes.handles;

import com.badlogic.gdx.utils.IntMap;
import com.mobilegame.dominoes.objects.DominoCard;
import com.mobilegame.dominoes.utils.Vector2Int;

//存储骨牌信息
public class DominoManager {

    public int dominoId;
    public int playId;
    public int[] values = new int[2];
    //通过这两个向量确定当前骨牌的位置和方向
    public Vector2Int bottomPos;
    public Vector2Int topPos;

    public DominoCard dominoBody;
    public boolean isSpinner;
    public int connectedCount;
    public int layedId;                    //当前打出的牌是第几张牌
    public int firstConnectedId;           //父节点id,连的牌的id 第一张牌是-1
    public Vector2Int initVec;
    public IntMap<Integer> connectedDominoes = new IntMap<>(); //存的是连接到该骨牌的id和连接的值
    public int connectedSoFar;             //已连接

    public boolean isDouble() {
        return values[0] == values[1];
    }

    @Override
    public String toString() {
        return "id: " + dominoId + "  (" + values[0] + "   " + values[1] + ")  ";
    }
}
