package com.mobilegame.dominoes.handles;


import com.badlogic.gdx.utils.IntArray;

public class PlayerManager {
    private int playerId;
    private IntArray receivedIds = new IntArray(); //拿到过的手牌id
    public IntArray idsInHand = new IntArray();    //手牌id
    public int dominoesReceived;                   //拿到手的所有骨牌数量
    public int dominoesInHand;                     //手上骨牌数量
    public boolean hasPassed;                      //判定是否跳过回合

    public PlayerManager(int id){
        playerId = id;
    }

    public void distributeDomino(int dominoId){
        receivedIds.add(dominoId);
        idsInHand.add(dominoId);
        dominoesInHand++;
        dominoesReceived++;
    }

}
