package com.mobilegame.dominoes.objects;

import com.badlogic.gdx.graphics.g2d.Batch;
import com.badlogic.gdx.graphics.g2d.NinePatch;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.badlogic.gdx.scenes.scene2d.Group;
import com.badlogic.gdx.scenes.scene2d.ui.Image;
import com.mobilegame.dominoes.DominoGame;
import com.mobilegame.dominoes.assets.Assets;

public class DominoCardHalf extends Group implements DominoCardBase {
    private Image half;

    public DominoCardHalf() {
        TextureRegion region;

        region = new TextureRegion(Assets.instance.dominoes.findRegion(DominoGame.dominoeName + "board-dominoes2"));
//        region.setV(region.getV2()-(region.getV2()-region.getV())/6*2);
        half = new Image(new NinePatch(region, 25, 25, 0, 8));
        half.setSize(59, 125);
        setSize(half.getWidth(), half.getHeight());
        addActor(half);
//        sprite =new Sprite(region);
    }

    @Override
    public void setPosition(float x, float y) {
        super.setPosition(x, y);
//        sprite.setPosition(x,y);
    }

    @Override
    public void setPosition(float x, float y, int alignment) {
        super.setPosition(x, y, alignment);
//        sprite.setPosition(getX(),getY());
    }

    @Override
    public void draw(Batch batch, float parentAlpha) {
        super.draw(batch, parentAlpha);
//        sprite.setColor(Color.WHITE);
//        sprite.draw(batch);
    }

    @Override
    public void gray(boolean set) {

    }

    public void refresh() {

        removeActor(half);

        TextureRegion region;
        region = new TextureRegion(Assets.instance.dominoes.findRegion(DominoGame.dominoeName + "board-dominoes2"));
//        region.setV(region.getV2() - (region.getV2() - region.getV()) / 6 * 2);
        half = new Image(new NinePatch(region, 25, 25, 0, 20));
        half.setSize(59, 125);
        setSize(half.getWidth(), half.getHeight());
        addActor(half);
    }
}
