//package com.mobilegame.dominoes.objects;
//
//import com.badlogic.gdx.Gdx;
//import com.badlogic.gdx.graphics.Color;
//import com.badlogic.gdx.graphics.g2d.NinePatch;
//import com.badlogic.gdx.math.Interpolation;
//import com.badlogic.gdx.math.Vector2;
//import com.badlogic.gdx.scenes.scene2d.Action;
//import com.badlogic.gdx.scenes.scene2d.Actor;
//import com.badlogic.gdx.scenes.scene2d.Group;
//import com.badlogic.gdx.scenes.scene2d.InputEvent;
//import com.badlogic.gdx.scenes.scene2d.Touchable;
//import com.badlogic.gdx.scenes.scene2d.actions.Actions;
//import com.badlogic.gdx.scenes.scene2d.ui.Image;
//import com.badlogic.gdx.scenes.scene2d.ui.Label;
//import com.badlogic.gdx.scenes.scene2d.ui.ScrollPane;
//import com.badlogic.gdx.scenes.scene2d.ui.Table;
//import com.badlogic.gdx.scenes.scene2d.utils.ClickListener;
//import com.badlogic.gdx.utils.Align;
//import com.badlogic.gdx.utils.SnapshotArray;
//import com.badlogic.gdx.utils.Timer;
//import com.mobilegame.dominoes.DominoGame;
//import com.mobilegame.dominoes.assets.Assets;
//import com.mobilegame.dominoes.assets.Colors;
//import com.mobilegame.dominoes.assets.Configuration;
//import com.mobilegame.dominoes.data.FileUtil;
//import com.mobilegame.dominoes.flurry.DeltaDNAManager;
//import com.mobilegame.dominoes.flurry.FlurryManager;
//import com.mobilegame.dominoes.handles.GameConfig;
//import com.mobilegame.dominoes.utils.ABTestUtil;
//import com.mobilegame.dominoes.utils.ConvertUtil;
//import com.mobilegame.dominoes.utils.TutorManager;
//import com.mobilegame.dominoes.utils.json.PythonDict;
//import com.mobilegame.dominoes.utils.listener.ButtonListener2;
//
//import org.freyja.libgdx.cocostudio.ui.model.CCExport;
//
//public class MainHelp extends Group {
//    private Group root;
//    private MainHelpListener listener;
//    private Actor back;
//    Group[] buttons = new Group[3];
//    Image mode;
//    Group[] info = new Group[3];
//    private String[] names = {"draw", "block", "allfive"};
//    private int selected = 0;
//
//
//    private float buttonX;
//    private float buttonY;
//    private Group word;
//    private ScrollPane[] panes = new ScrollPane[3];
//    private Image[] infoPic = new Image[3];
//    private Image arrow;
//    private ChooseGroup[] chooseGroups = new ChooseGroup[3];
//    private boolean isShow;
//
//    float changeX = -1;
//    float changeY = 0;
//
//    public TutorManager tutorManager;
//
//    private Image panebg;
//
//    public MainHelp(Group root, DominoGame game, MainHelpListener listener) {
//        this.root = root;
//        this.listener = listener;
//        addActor(root);
//        word = new Group();
//
//        back = root.findActor("btn_back");
//        panebg = root.findActor("Image_6");
//        addActor(word);
//        word.addActor(panebg);
//        for (int i = 0; i < 3; i++) {
//            info[i] = new Group();
//        }
//        info[0].setSize(panebg.getWidth(), TipConfig.tipnormalmain.getHeight() + TipConfig.boneyardmain.getHeight() + TipConfig.nospinner.getHeight() + 101);
//        info[0].addActor(TipConfig.tipnormalmain);
//        info[0].addActor(TipConfig.boneyardmain);
//        info[0].addActor(TipConfig.nospinnermain);
//        TipConfig.tipnormalmain.setY(TipConfig.boneyardmain.getHeight() + TipConfig.nospinnermain.getHeight() + 81);
//        TipConfig.boneyardmain.setY(TipConfig.nospinnermain.getHeight() + 31);
//
//
//        info[1].setSize(panebg.getWidth(), TipConfig.tipnormal.getHeight() + TipConfig.noboneyard.getHeight() + TipConfig.nospinner2.getHeight() + 101);
//
//        TipConfig.tipnormal2main.setY(TipConfig.noboneyard.getHeight() + TipConfig.nospinner2.getHeight() + 81);
//        TipConfig.noboneyardmain.setY(TipConfig.nospinner2.getHeight() + 31);
//
//        info[1].addActor(TipConfig.tipnormal2main);
//        info[1].addActor(TipConfig.noboneyardmain);
//        info[1].addActor(TipConfig.nospinner2main);
//
//
//        info[2].setSize(panebg.getWidth(), TipConfig.tipallfive.getHeight() + TipConfig.boneyard2.getHeight() + TipConfig.spinner.getHeight() + 101);
//        TipConfig.tipallfivemain.setY(TipConfig.boneyard2.getHeight() + TipConfig.spinner.getHeight() + 81);
//        TipConfig.boneyard2main.setY(TipConfig.spinner.getHeight() + 60);
//        TipConfig.spinnermain.setY(50f);
//        info[2].addActor(TipConfig.tipallfivemain);
//        info[2].addActor(TipConfig.boneyard2main);
//        info[2].addActor(TipConfig.spinnermain);
//
//        TipConfig.tipnormalmain.setX(panebg.getWidth() / 2, Align.center);
//        TipConfig.tipnormal2main.setX(panebg.getWidth() / 2, Align.center);
//        TipConfig.tipallfivemain.setX(panebg.getWidth() / 2, Align.center);
//        TipConfig.spinnermain.setX(panebg.getWidth() / 2, Align.center);
//        TipConfig.nospinner2main.setX(panebg.getWidth() / 2, Align.center);
//        TipConfig.nospinnermain.setX(panebg.getWidth() / 2, Align.center);
//        TipConfig.boneyard2main.setX(panebg.getWidth() / 2, Align.center);
//        TipConfig.boneyardmain.setX(panebg.getWidth() / 2, Align.center);
//        TipConfig.noboneyardmain.setX(panebg.getWidth() / 2, Align.center);
//
//        init(game);
//        initButtons();
//        resize();
//        root.setTouchable(Touchable.enabled);
//        isShow = false;
//    }
//
//    private void init(DominoGame game) {
//
//        for (int i = 0; i < 3; i++) {
//            panes[i] = new ScrollPane(info[i]);
//            word.addActor(panes[i]);
//            panes[i].setSize(info[i].getWidth(), 645);
//            panes[i].setPosition(360, 760, Align.center);
//            info[i].setX(panes[i].getWidth() / 2, Align.center);
//
//        }
//
//        infoPic[0] = new Image(Assets.ui.findRegion("drawInfo"));
//        infoPic[1] = new Image(Assets.ui.findRegion("blockInfo"));
//        infoPic[2] = new Image(Assets.ui.findRegion("allfivesInfo"));
//        arrow = new Image(Assets.ui.findRegion("arrowInfo"));
//
//        for (int i = 0; i < 3; i++) {
//            word.addActor(infoPic[i]);
//            infoPic[i].setVisible(false);
//        }
////        if(!ABTestUtil.isABTestA)
//        word.addActor(arrow);
//
//        for (int i = 0; i < 3; i++) {
//            buttons[i] = root.findActor("btn_" + names[i]);
//        }
//
//        String[] modes = new String[]{"Draw", "Block", "All Fives"};
//        String[] difficulty = new String[]{"Easy", "Normal", "Hard"};
//        String[] scores = new String[]{"100", "150", "200"};
//        ChooseGroup.ChooseListener chooseListener1 = new ChooseGroup.ChooseListener() {
//            @Override
//            public void click(int m) {
//                GameConfig.setGameHard(m);
//
//                //////////////////////////// DNA ////////////////////////////////
//                String buttonName;
//                String buttonNameF;
//                if (m == 0) {
//                    buttonName = "easy";
//                    buttonNameF = FileUtil.menupageDifficultEasy;
//                } else if (m == 1) {
//                    buttonName = "normal";
//                    buttonNameF = FileUtil.menupageDifficultNormal;
//                } else {
//                    buttonName = "hard";
//                    buttonNameF = FileUtil.menupageDifficultHard;
//                }
//
//                DeltaDNAManager.addUiInteraction("menuPage", "button", buttonName, buttonNameF);
//                /////////////////////////////////////////////////////////////////
//            }
//
//        };
//        chooseGroups[0] = new ChooseGroup("Difficulty:", difficulty, chooseListener1);
//        ChooseGroup.ChooseListener chooseListener2 = new ChooseGroup.ChooseListener() {
//            @Override
//            public void click(int m) {
//                GameConfig.setGameSocre(m);
//
//                //////////////////////////// DNA ////////////////////////////////
//                String score;
//                String scoreF;
//                if (m == 0) {
//                    score = "100";
//                    scoreF = FileUtil.menupageScore100;
//                } else if (m == 1) {
//                    score = "150";
//                    scoreF = FileUtil.menupageScore150;
//                } else {
//                    score = "200";
//                    scoreF = FileUtil.menupageScore200;
//                }
//                DeltaDNAManager.addUiInteraction("menuPage", "button", score, scoreF);
//                /////////////////////////////////////////////////////////////////
//            }
//
//        };
//        chooseGroups[1] = new ChooseGroup("Scores:", scores, chooseListener2);
//
//        ChooseGroup.ChooseListener chooseListener3 = new ChooseGroup.ChooseListener() {
//            @Override
//            public void click(int m) {
//                GameConfig.setGameType(m);
//                //////////////////////////// DNA ////////////////////////////////
//                String gameTypeName;
//                String gameTypeNameF;
//                if (GameConfig.gameType == GameConfig.DRAW_TYPE) {
//                    gameTypeName = "draw";
//                    gameTypeNameF = FileUtil.menupageDraw;
//                } else if (GameConfig.gameType == GameConfig.BLOCK_TYPE) {
//                    gameTypeName = "block";
//                    gameTypeNameF = FileUtil.menupageBlock;
//                } else {
//                    gameTypeName = "allfives";
//                    gameTypeNameF = FileUtil.menupageAllFive;
//                }
//                DeltaDNAManager.addUiInteraction("menuPage", "button", gameTypeName, gameTypeNameF);
//                /////////////////////////////////////////////////////////////////
//                arrow.setX(230 + m * (164 + 14));
//                for (int x = 0; x < 3; x++) {
//                    infoPic[x].setVisible(false);
//                }
//                infoPic[m].setVisible(true);
//            }
//
//        };
//        chooseGroups[2] = new ChooseGroup("Mode:", modes, chooseListener3);
//
//        word.addActor(chooseGroups[0]);
//        word.addActor(chooseGroups[1]);
//        word.addActor(chooseGroups[2]);
//    }
//
//    private void initButtons() {
//
//        buttonX = buttons[1].getX();
//        buttonY = buttons[1].getY();
//
//        unSelectAll();
//        back.setTouchable(Touchable.enabled);
//        back.addListener(new ButtonListener2() {
//            @Override
//            public void clicked(InputEvent event, float x, float y) {
//                super.clicked(event, x, y);
//                close();
//            }
//        });
//
//        back.setY(Configuration.height - 90);
//        root.findActor("btn_new").addListener(new ButtonListener2() {
//            @Override
//            public void clicked(InputEvent event, float x, float y) {
//                super.clicked(event, x, y);
//                GameConfig.loadData = false;
//                FlurryManager.flurryLog_Click(GameConfig.gameType + 1, 2);
//                FlurryManager.flurryLog_Clicknew();
//                FlurryManager.flurryLog_ClickStartGametype(GameConfig.gameType + 1);
//                FlurryManager.flurryLog_Step(5);
//                if (tutorManager != null) {
//                    tutorManager.hide();
//                }
//
//                listener.startGame();
//                Timer.instance().scheduleTask(new Timer.Task() {
//                    @Override
//                    public void run() {
//                        close();
//                    }
//                }, 1.1f);
//
//                //////////////////////////// DNA ////////////////////////////////
//                DeltaDNAManager.addUiInteraction("menuPage", "button", "startNew", FileUtil.menupageStartNew);
//                /////////////////////////////////////////////////////////////////
//
//            }
//        });
//
//    }
//
//    public void close() {
//
//        if (tutorManager != null) {
//            if (!tutorManager.isHide())
//                return;
//        }
//        changeX = -1;
//        addAction(Actions.sequence(
//                Actions.moveTo(changeX * Configuration.width, changeY * Configuration.height, 0.3f),
//                Actions.run(new Runnable() {
//                    @Override
//                    public void run() {
//                        setVisible(false);
//                        isShow = false;
//                    }
//                })
//        ));
//
//    }
//
//    public void show() {
//        int type = FileUtil.getGameType();
//        int score = FileUtil.getGameSocre();
//        int hard = FileUtil.getGameHard();
//
//        GameConfig.setGameType(type);
//        GameConfig.setGameSocre(score);
//        GameConfig.setGameHard(hard);
//        Gdx.app.log("yxk", "" + type);
//
//        chooseGroups[0].choose(hard);
//        chooseGroups[1].choose(score);
//        chooseGroups[2].choose(type);
//        arrow.setX(230 + type * (164 + 14));
//
//        infoPic[type].setVisible(true);
//        show(type);
//    }
//
//
//    public void show(int gameType) {
//        setSelected(gameType);
//        DominoGame.isBoneyard = false;
//        for (int i = 0; i < 3; i++) {
//            if (i == gameType) {
//                buttons[i].setPosition(buttonX, buttonY);
//                buttons[i].setVisible(false);
//            } else {
//                buttons[i].setVisible(false);
//            }
//        }
//        mode = new Image(Assets.ui.findRegion("mode"));
//        mode.setPosition(
//                buttons[0].getX(Align.center),
//                buttons[0].getY(Align.center), Align.center);
//        addActor(mode);
//        setVisible(true);
//        isShow = true;
//
//        changeX = 1;
//        setX(0);
//
//        float backX;
//        float loadX;
//        float startX;
//
//        backX = back.getX();
//        Actor load = root.findActor("btn_load");
//        load.setVisible(false);
//        loadX = load.getX();
//        Actor start = root.findActor("btn_new");
//        startX = start.getX();
//
//        back.setX(backX + 100);
//        load.setX(loadX + 200);
//        start.setX(startX + 400);
//
//        addAction(Actions.sequence(
//                Actions.moveTo(changeX * Configuration.width, changeY * Configuration.height, 0.01f),
//                Actions.fadeIn(0.01f),
//                Actions.moveTo(0, 0, 0.3f),
//                Actions.run(new Runnable() {
//                    @Override
//                    public void run() {
//                        addTutorHelp();
//                    }
//                })
//
//        ));
//
//        back.addAction(Actions.sequence(
//                Actions.delay(0.3f),
//                Actions.moveTo(backX, back.getY(), 0.1f)
//        ));
//
//        load.addAction(Actions.sequence(
//                Actions.delay(0.3f),
//                Actions.moveTo(loadX, load.getY(), 0.1f)
//        ));
//
//        start.addAction(Actions.sequence(
//                Actions.delay(0.3f),
//                Actions.moveTo(startX, start.getY(), 0.2f)
//        ));
//    }
//
//    public void resize() {
//        root.setY(0);
//        root.setSize(Configuration.width, Configuration.height);
//
//        buttonY += (Configuration.height - 1280);
//        SnapshotArray<Actor> children = root.getChildren();
//
//        for (Actor child : children) {
//            child.setY(child.getY() + ((Configuration.height - 1280)));
//        }
//
//        panebg.setHeight(panebg.getHeight() + (Configuration.height - 1280));
//        panebg.setY(panebg.getY() - (Configuration.height - 1280));
//        panebg.setAlign(Align.center);
//
//        panebg.setHeight(490 + (Configuration.height - 1280));
//        panebg.setY(675 - (Configuration.height - 1280));
//        arrow.setPosition(
//                0,
//                panebg.getY() - arrow.getHeight() + 4f);
//        chooseGroups[2].setPosition(
//                10,
//                panebg.getY() - 136);
//        chooseGroups[1].setPosition(
//                10,
//                chooseGroups[2].getY() - 136);
//        chooseGroups[0].setPosition(
//                10,
//                chooseGroups[1].getY() - 136);
//
//
//        Actor load = root.findActor("btn_load");
//        Actor newGame = root.findActor("btn_new");
//
//        back.setY(buttonY + 10);
//
//        Image bg = root.findActor("bg");
//        bg.setSize(Configuration.width, Configuration.height);
//        bg.setY(0);
//        word.setY(Configuration.height - 1280);
//
//        load.setY(panebg.getY() - 150 + Configuration.height - 1280);
//
//        newGame.setY(load.getY() - 370);
//
//        for (int i = 0; i < 3; i++) {
//            panes[i].setSize(panebg.getWidth(), panebg.getHeight() - 20);
//            panes[i].setPosition(panebg.getX(), panebg.getY() + 10);
//            info[i].setX(panes[i].getWidth() / 2, Align.center);
//
//            if (panebg.getHeight() > info[i].getHeight()) {
//                panes[i].setY(panebg.getY() + 10 + (panebg.getHeight() - info[i].getHeight()) / 2);
//                panes[i].setSize(info[i].getWidth(), info[i].getHeight() + 30);
//            }
//
//            infoPic[i].setPosition(
//                    panebg.getX(Align.center),
//                    panebg.getY(Align.center),
//                    Align.center);
//
//            infoPic[i].setOrigin(Align.center);
//            if (infoPic[i].getHeight() > panebg.getHeight()) {
//                infoPic[i].setScale(panebg.getHeight() / infoPic[i].getHeight() * 0.9f);
//            }
//
//        }
//    }
//
//    public void setSelected(int id) {
//        selected = id;
//        GameConfig.gameType = selected;
//
//        for (int i = 0; i < 3; i++) {
//            panes[i].setVisible(false);
//        }
//
////        if(ABTestUtil.isABTestA){
////            panes[id].setVisible(true);
////        }
//
////        Group load  = root.findActor("btn_load");
////        load.clearListeners();
////        if(!FileUtil.isSave[id]){
////            load.findActor("clicked").setVisible(false);
////            load.findActor("unclicked").setVisible(true);
////            load.findActor("loadWord").setColor(Colors.wordGray);
////            Label word = load.findActor("loadData");
////            word.setText("No data saved");
////            word.setColor(Colors.wordGray);
////
////        }
////        else {
////            load.findActor("clicked").setVisible(true);
////            load.findActor("unclicked").setVisible(false);
////            load.addListener(new ButtonListener2(){
////                @Override
////                public void clicked(InputEvent event, float x, float y) {
////                    super.clicked(event, x, y);
////                    GameConfig.loadData = true;
////                    FlurryManager.flurryLog_Click(9);
////                    listener.startGame();
////                    Timer.instance().scheduleTask(new Timer.Task() {
////                        @Override
////                        public void run() {
////                            close();
////                        }
////                    },1.1f);                }
////            });
////
////            String str = Gdx.files.local("savegame_" + GameConfig.gameType).readString();
////            PythonDict dict = DominoGame.getJson().fromJson(PythonDict.class, str);
////
////            int round = 0;
////            int opponent = 0;
////            int you = 0;
////
////            if (dict.get("you") != null) {
////                you = ConvertUtil.convertToInt(dict.get("you"));
////            }
////            if (dict.get("opponent") != null) {
////                opponent = ConvertUtil.convertToInt(dict.get("opponent"));
////            }
////
////            if (dict.get("handcount") != null) {
////                round = ConvertUtil.convertToInt(dict.get("handcount"));
////            }
////
////            Label word = load.findActor("loadData");
////
////            word.setText("Round "+ round+" - "+"You ("+you+") : "+"("+opponent+") Opponent");
////            word.setColor(Color.WHITE);
////
////            load.findActor("loadWord").setColor(Color.WHITE);
////        }
//
//    }
//
//    public void SelectedScore(int Score) {
//
//    }
//
//    public void Selectedmode(int gameType) {
//
//    }
//
//    public void Selecteddifficulty(int aimode) {
//
//    }
//
//
//    private void unSelectAll() {
//        for (int i = 0; i < 3; i++) {
////            buttons[i].findActor("tag_selected").setVisible(false);
//        }
//    }
//
//    public boolean isShow() {
//        return isShow;
//    }
//
//    public interface MainHelpListener {
//        void startGame();
//
//    }
//
//    public void addTutorHelp() {
//        if (FileUtil.getIsTutorFinished(3)) {
//            addTutorStart();
//            return;
//        }
//        tutorManager = new TutorManager(getStage(), 3);
//        Vector2 pos = tutorManager.showActor(word);
//
//        tutorManager.addoldMan(600, root.findActor("btn_load").getY() - 20);
//        tutorManager.addWord(100, root.findActor("btn_load").getY() - 20, "The basic rules\nare listed here.", 500, 160);
//        panes[0].addListener(new ClickListener() {
//            @Override
//            public void clicked(InputEvent event, float x, float y) {
//                super.clicked(event, x, y);
//                tutorManager.hide();
//
//                addTutorStart();
//
//            }
//        });
//
//        tutorManager.bg.addListener(new ClickListener() {
//            @Override
//            public void clicked(InputEvent event, float x, float y) {
//                super.clicked(event, x, y);
//                tutorManager.hide();
//
//                addTutorStart();
//
//
//            }
//        });
//    }
//
//    public void addTutorStart() {
//        if (FileUtil.getIsTutorFinished(4)) {
//            return;
//        }
//        tutorManager = new TutorManager(getStage(), 4);
//        Vector2 pos = tutorManager.showActor(root.findActor("btn_new"));
//
//        tutorManager.addoldMan(600, pos.y + 400);
//        tutorManager.addWord(100, pos.y + 400, "Let's start!");
//        tutorManager.addHand(pos.x + 300, pos.y - 130);
//
//    }
//
//
//}
