//package com.mobilegame.dominoes.objects;
//
//import com.badlogic.gdx.graphics.Color;
//import com.badlogic.gdx.graphics.g2d.Batch;
//import com.badlogic.gdx.graphics.g2d.NinePatch;
//import com.badlogic.gdx.math.Vector2;
//import com.mobilegame.dominoes.assets.Assets;
//
//public class PolygonDrawer {
//    private NinePatch patch;
//    private Vector2 temp = new Vector2();
//    private static PolygonDrawer instance;
//
//    private PolygonDrawer() {
//        patch = new NinePatch(Assets.instance.ui.findRegion("white"),2,2,2,2);
//    }
//
//    public static PolygonDrawer getInstance() {
//        if(instance==null) instance = new PolygonDrawer();
//        return instance;
//    }
//
//    public void draw(Batch batch, float[] vertices, Color color,float scale) {
//        if(vertices == null) return;
//        if(scale>1)scale = 1;
//        draw(batch,vertices,0,7F*scale,8*scale,color,0,0);
//    }
//
//    public void draw(Batch batch, float[] vertices, float originX,float originY,float width,Color color) {
//        draw(batch,vertices,originX,originY,width,color,0,0);
//    }
//    public void draw(Batch batch, float[] vertices, float originX,float originY,float width,Color color,float offsetX,float offsetY) {
//        batch.setColor(color);
//        for (int i = 0; i < vertices.length; i+=2) {
//            float x1 = vertices[i];
//            float y1 = vertices[i + 1];
//            float x2 = vertices[0];
//            float y2 = vertices[1];
//            if(i < vertices.length - 2) {
//                x2 = vertices[i + 2];
//                y2 = vertices[i + 3];
//            }
//            temp.set(x2-x1,y2-y1);
//            patch.draw(batch,x1+offsetX-originX,y1+offsetY-originY,originX,originY,temp.len(),width,1,1,temp.angle());
//        }
//    }
//}
