package com.mobilegame.dominoes.objects;

import com.badlogic.gdx.scenes.scene2d.Group;
import com.badlogic.gdx.scenes.scene2d.ui.Image;
import com.badlogic.gdx.utils.Align;
import com.mobilegame.dominoes.assets.Assets;
import com.mobilegame.dominoes.assets.Configuration;

/**
 * Created by qwe on 2020/3/31.
 */

public class TipConfig {

    public static Image tipnormal ;
    public static Image tipnormal2 ;
    public static Image tipallfive ;
    public static Image spinner ;
    public static Image nospinner2;
    public static Image nospinner ;
    public static Image boneyard ;
    public static Image boneyard2 ;
    public static Image noboneyard ;

    public static Image tipnormalmain ;
    public static Image tipnormal2main ;
    public static Image tipallfivemain ;
    public static Image spinnermain;
    public static Image nospinner2main;
    public static Image nospinnermain ;
    public static Image boneyardmain ;
    public static Image boneyard2main ;
    public static Image noboneyardmain ;

    public static Group[] info = new Group[3];

    public static void init(){

        tipnormal = new Image(Assets.instance.tips.findRegion("game_tips1"));
        tipnormal2 = new Image(Assets.instance.tips.findRegion("game_tips1"));
        tipallfive = new Image(Assets.instance.tips.findRegion("game_tips2"));
        spinner = new Image(Assets.instance.tips.findRegion("spinner1"));
        nospinner2 = new Image(Assets.instance.tips.findRegion("no_spinner1"));
        nospinner = new Image(Assets.instance.tips.findRegion("no_spinner1"));
        boneyard = new Image(Assets.instance.tips.findRegion("boneyard1"));
        boneyard2 = new Image(Assets.instance.tips.findRegion("boneyard1"));
        noboneyard = new Image(Assets.instance.tips.findRegion("boneyard2"));

        tipnormalmain = new Image(Assets.instance.tips.findRegion("game_tips1"));
        tipnormal2main = new Image(Assets.instance.tips.findRegion("game_tips1"));
        tipallfivemain = new Image(Assets.instance.tips.findRegion("game_tips2"));
        spinnermain = new Image(Assets.instance.tips.findRegion("spinner1"));
        nospinner2main = new Image(Assets.instance.tips.findRegion("no_spinner1"));
        nospinnermain = new Image(Assets.instance.tips.findRegion("no_spinner1"));
        boneyardmain = new Image(Assets.instance.tips.findRegion("boneyard1"));
        boneyard2main = new Image(Assets.instance.tips.findRegion("boneyard1"));
        noboneyardmain = new Image(Assets.instance.tips.findRegion("boneyard2"));


        for (int i = 0;i < 3;i++){
            info[i] = new Group();
        }
        info[0].setSize(TipConfig.tipnormal.getWidth(), TipConfig.tipnormal.getHeight()+TipConfig.boneyard.getHeight() + TipConfig.nospinner.getHeight() + 40);
        info[0].addActor(TipConfig.tipnormal);
        info[0].addActor(TipConfig.boneyard);
        info[0].addActor(TipConfig.nospinner);
        TipConfig.tipnormal.setY(TipConfig.boneyard.getHeight()+TipConfig.nospinner.getHeight() + 40);
        TipConfig.boneyard.setY(TipConfig.nospinner.getHeight() + 20 );

        info[1].setSize(TipConfig.tipnormal2.getWidth(), TipConfig.tipnormal.getHeight()+TipConfig.noboneyard.getHeight() + TipConfig.nospinner2.getHeight() + 40);
        TipConfig.tipnormal2.setY(TipConfig.noboneyard.getHeight()+TipConfig.nospinner2.getHeight() +40);
        TipConfig.noboneyard.setY(TipConfig.nospinner2.getHeight()+20);

        info[1].addActor(TipConfig.tipnormal2);
        info[1].addActor(TipConfig.noboneyard);
        info[1].addActor(TipConfig.nospinner2);


        info[2].setSize(TipConfig.tipallfive.getWidth(),TipConfig.tipallfive.getHeight()+TipConfig.boneyard2.getHeight()+TipConfig.spinner.getHeight() + 60);
        TipConfig.tipallfive.setY(TipConfig.boneyard2.getHeight()+TipConfig.spinner.getHeight() + 40);
        TipConfig.boneyard2.setY(TipConfig.spinner.getHeight() + 20);
        info[2].addActor(TipConfig.tipallfive);
        info[2].addActor(TipConfig.boneyard2);
        info[2].addActor(TipConfig.spinner);

        TipConfig.tipnormal.setX( info[0].getWidth()/2,Align.center);
        TipConfig.tipnormal2.setX( info[0].getWidth()/2,Align.center);
        TipConfig.tipallfive.setX( info[0].getWidth()/2,Align.center);
        TipConfig.spinner.setX( info[0].getWidth()/2,Align.center);
        TipConfig.nospinner2.setX( info[0].getWidth()/2,Align.center);
        TipConfig.nospinner.setX( info[0].getWidth()/2,Align.center);
        TipConfig.boneyard2.setX( info[0].getWidth()/2,Align.center);
        TipConfig.boneyard.setX( info[0].getWidth()/2,Align.center);
        TipConfig.noboneyard.setX( info[0].getWidth()/2,Align.center);

        for (int i = 0;i < 3;i++){
            info[i].setOrigin(Align.top);
//            info[i].setScale(0.90f);
        }

    }

}
