//package com.mobilegame.dominoes.screens;
//
//import com.badlogic.gdx.Gdx;
//import com.badlogic.gdx.graphics.Color;
//import com.badlogic.gdx.graphics.g2d.ParticleEffect;
//import com.badlogic.gdx.math.Vector2;
//import com.badlogic.gdx.scenes.scene2d.Actor;
//import com.badlogic.gdx.scenes.scene2d.Group;
//import com.badlogic.gdx.scenes.scene2d.InputEvent;
//import com.badlogic.gdx.scenes.scene2d.Touchable;
//import com.badlogic.gdx.scenes.scene2d.actions.Actions;
//import com.badlogic.gdx.scenes.scene2d.ui.Image;
//import com.badlogic.gdx.scenes.scene2d.ui.Label;
//import com.badlogic.gdx.scenes.scene2d.utils.ClickListener;
//import com.badlogic.gdx.utils.Align;
//import com.badlogic.gdx.utils.Timer;
//import com.esotericsoftware.spine.SkeletonData;
//import com.esotericsoftware.spine.SkeletonJson;
//import com.esotericsoftware.spine.SkeletonRenderer;
//import com.esotericsoftware.spine.attachments.AtlasAttachmentLoader;
//import com.mobilegame.dominoes.DominoGame;
//import com.mobilegame.dominoes.assets.Assets;
//import com.mobilegame.dominoes.assets.Configuration;
//
//import com.mobilegame.dominoes.constants.Constant;
//import com.mobilegame.dominoes.data.Classes.Design;
//import com.mobilegame.dominoes.data.DiamondDataUtil;
//import com.mobilegame.dominoes.data.FileUtil;
//import com.mobilegame.dominoes.data.SettingDataUtil;
//import com.mobilegame.dominoes.dialogs.AdsDialog;
//import com.mobilegame.dominoes.dialogs.DesignDialog;
//import com.mobilegame.dominoes.dialogs.InfoDialog;
//import com.mobilegame.dominoes.dialogs.LeagueInfoDialog;
//import com.mobilegame.dominoes.dialogs.NameDialog;
//import com.mobilegame.dominoes.dialogs.NoInternetDialog;
//import com.mobilegame.dominoes.dialogs.SettingDialog;
//import com.mobilegame.dominoes.dialogs.TutoDialog;
//import com.mobilegame.dominoes.dialogs.UnlockDialog;
//import com.mobilegame.dominoes.flurry.DeltaDNAManager;
//import com.mobilegame.dominoes.flurry.FlurryManager;
//import com.mobilegame.dominoes.handles.GameConfig;
//import com.mobilegame.dominoes.utils.LeagueUtil;
//import com.mobilegame.dominoes.utils.ParticleEffectActor;
//import com.mobilegame.dominoes.utils.StringUtil;
//import com.mobilegame.dominoes.utils.TutorManager;
//
//import com.mobilegame.dominoes.utils.listener.ButtonListener2;
//import com.spine.MySpineActor;
//
//import org.freyja.libgdx.cocostudio.ui.model.CCExport;
//
///**
// * Created by lilexiang on 17-8-15.
// */
//public class MenuScreen extends BaseScreen {
//    Group scene;
//    private DesignDialog designDialog;
//    private TutoDialog tutoDialog;
//    private Image playButton;
//    private Image adsButton;
//
//    private Group leagueButton;
//    private Group topGroup;
//    private Image bgPai;
//    private Actor setting;
//    private Label clock;
//    private float designY;
//    private float settingY;
//    private float buttonY;
//
//    private float coniStartX;
//    private float coniStartY;
//
//    public TutorManager tutorManager;
//
//    private MySpineActor mySpineActor;
//
//    private MySpineActor coinsAni;
//    private MySpineActor coinsTurn;
//
//    private ParticleEffectActor particleEffectActor;
//    private ParticleEffect particleEffect1;
//    private AdsDialog adsDialog;
//
////    private MainHelp help;
//
//    public MenuScreen(DominoGame game) {
//        super(game);
//        TAG = "menu";
//        init();
//
//        String test;
////        if(ABTestUtil.isABTestA){
//        test = "A";
////        }
////        else {
////            test = "B";
////        }
//
//        Label.LabelStyle style = new Label.LabelStyle();
//        style.font = Assets.instance.fonts[2];
//        style.fontColor = Color.WHITE;
//        Label abtest = new Label(test, style);
//        abtest.setColor(Color.WHITE);
//        abtest.setPosition(360, 900);
////
////        stage.addActor(abtest);
//    }
//
//    private void init() {
//        SkeletonJson sJsonAct;
//        SkeletonData skeletonDataLoading;
//        sJsonAct = new SkeletonJson(new AtlasAttachmentLoader(Assets.instance.loading));
//        skeletonDataLoading = sJsonAct.readSkeletonData(Gdx.files.internal("animation/loading.json"));
//        mySpineActor = new MySpineActor(new SkeletonRenderer(), skeletonDataLoading);
//
//        SkeletonJson sJsonAct1;
//        SkeletonData skeletonDataLoading1;
//        sJsonAct1 = new SkeletonJson(new AtlasAttachmentLoader(Assets.instance.coins));
//        skeletonDataLoading1 = sJsonAct1.readSkeletonData(Gdx.files.internal("animation/jinbi_fk.json"));
//        coinsAni = new MySpineActor(new SkeletonRenderer(), skeletonDataLoading1);
//
//        SkeletonJson sJsonAct2;
//        SkeletonData skeletonDataLoading2;
//        sJsonAct2 = new SkeletonJson(new AtlasAttachmentLoader(Assets.instance.coinsTurn));
//        skeletonDataLoading2 = sJsonAct2.readSkeletonData(Gdx.files.internal("animation/coins.json"));
//        coinsTurn = new MySpineActor(new SkeletonRenderer(), skeletonDataLoading2);
//
//        particleEffect1 = new ParticleEffect();
//        particleEffect1.load(Gdx.files.internal("animation/particle/jinbituowei"), Gdx.files.internal("animation/particle/"));
//        particleEffectActor = new ParticleEffectActor(particleEffect1);
//
//
//        CCExport export = Assets.instance.assetManager.get("ui/" + TAG + ".json");
//        scene = game.getCocoStudioUIEditor().createGroup(export);
//
//        setting = scene.findActor("btn_setting");
//        Actor design = scene.findActor("btn_design");
//        topGroup = scene.findActor("topGroup");
//
//        designY = design.getY();
//        settingY = setting.getY();
//
//        scene.setTransform(false);
//        scene.setTouchable(Touchable.enabled);
////        if(!ABTestUtil.isABTestA){
////            scene.findActor("btn_design").setVisible(false);
////        }
//
//        scene.findActor("btn_design", Touchable.enabled).addListener(new ButtonListener2() {
//            @Override
//            public void clicked(InputEvent event, float x, float y) {
//                super.clicked(event, x, y);
//                if (tutorManager != null) {
//                    tutorManager.hide();
//                    scene.findActor("btn_design").clearActions();
//                    scene.findActor("btn_design").addAction(Actions.scaleTo(1, 1, 0.01f));
//                }
//                designDialog = showDialog(DesignDialog.class, "ui/objects/design.json");
//                designDialog.addListenr();
//
//                //////////////////////////// DNA ////////////////////////////////
//                DeltaDNAManager.addUiInteraction("mainPage", "button", "design", FileUtil.mainpageDesign);
//                /////////////////////////////////////////////////////////////////
//            }
//        });
//
//        setting.toFront();
//        setting.setTouchable(Touchable.enabled);
//        setting.addListener(new ButtonListener2() {
//            @Override
//            public void clicked(InputEvent event, float x, float y) {
//                super.clicked(event, x, y);
//                SettingDialog dialog = showDialog(SettingDialog.class, "ui/objects/setting_menu.json");
////                showNeterrorDialog();
//                //////////////////////////// DNA ////////////////////////////////
//                DeltaDNAManager.addUiInteraction("mainPage", "button", "setting", FileUtil.mainpageSetting);
//                /////////////////////////////////////////////////////////////////
//            }
//        });
//        playButton = scene.findActor("button_play", Touchable.enabled);
//        adsButton = scene.findActor("Image_8", Touchable.enabled);
//        leagueButton = scene.findActor("button_league", Touchable.enabled);
//        buttonY = playButton.getY();
//        bgPai = new Image(Assets.ui.findRegion("bg_pai"));
//
////        if(ABTestUtil.isABTestA){
//        leagueButton.setVisible(false);
//        topGroup.setVisible(false);
////        }
////        else {
////            playButton.setVisible(false);
////        }
//
//
//        stage.addActor(scene);
//        scene.addActor(bgPai);
//        scene.addActor(mySpineActor);
//        scene.addActor(coinsAni);
//        scene.addActor(coinsTurn);
//        scene.addActor(particleEffectActor);
//        particleEffectActor.setVisible(false);
//        coinsTurn.setVisible(false);
//
//        scene.addActor(DominoGame.mainHelpNew);
////        scene.addActor(DominoGame.leagueMain);
////        scene.addActor(DominoGame.leagueEnd);
//        scene.findActor("heart_6").setVisible(false);
//
//
//        playButton.setOrigin(Align.center);
//        playButton.addListener(new ButtonListener2() {
//            @Override
//            public void clicked(InputEvent event, float x, float y) {
//                super.clicked(event, x, y);
//                if (DominoGame.mainHelpNew.isShow()) { //DominoGame.mainHelpNew.isShow() || DominoGame.leagueMain.isShow || DominoGame.leagueEnd.isShow
//                    return;
//                }
//                FlurryManager.flurryLog_Step(4);
//                if (!FileUtil.getIsTutorFinished(1)) {
//                    return;
//                } else {
//                    if (tutorManager != null) {
//                        tutorManager.hide();
//                    }
//                    GameConfig.refreshDataForNewGame();
//                    DominoGame.mainHelpNew.show();
//                }
//                //////////////////////////// DNA ////////////////////////////////
//                DeltaDNAManager.addUiInteraction("mainPage", "button", "play", FileUtil.mainpagePlay);
//                /////////////////////////////////////////////////////////////////
//            }
//        });
//
//        adsButton.setOrigin(Align.center);
//        adsButton.addListener(new ButtonListener2() {
//            @Override
//            public void clicked(InputEvent event, float x, float y) {
//                super.clicked(event, x, y);
//                showAdsDialog();
//
//            }
//        });
//
//        scene.findActor("change", Touchable.enabled).setOrigin(Align.center);
//        scene.findActor("change", Touchable.enabled).addListener(new ButtonListener2() {
//            @Override
//            public void clicked(InputEvent event, float x, float y) {
//                super.clicked(event, x, y);
//                NameDialog nameDialog = showDialog(NameDialog.class, "ui/objects/changeName.json");
//
//            }
//        });
//
//        leagueButton.setOrigin(Align.center);
//        leagueButton.addListener(new ButtonListener2() {
//            @Override
//            public void clicked(InputEvent event, float x, float y) {
//                super.clicked(event, x, y);
//
//                FlurryManager.flurryLog_Step(11);
//
//                if (DominoGame.doodleHelper.isConnected()) {
//                    showLeague();
//                } else {
//
//                }
//
//
//            }
//        });
//
//
//        DominoGame.mainHelpNew.setVisible(false);
////        DominoGame.leagueMain.setVisible(false);
////        DominoGame.leagueEnd.setVisible(false);
//        clock = scene.findActor("clockLabel");
//
//    }
//
//    public void showLeague() {
//        setting.setVisible(false);
//        LeagueUtil.CheckPoint();
//
//        if (LeagueUtil.CheckIsShowEnd()) {
////            DominoGame.leagueEnd.show();
//        } else {
////            DominoGame.leagueMain.show();
//        }
//
//        updateLabel();
//        scene.findActor("heart_6").setVisible(true);
//        scene.findActor("change").setVisible(false);
//    }
//
//    @Override
//    public void show() {
//        super.show();
//        Assets.instance.assetManager.load("particles/lizi", ParticleEffect.class);
//        SettingDataUtil.setExitScreen(Constant.MENUSCREEN);
////        CCExport export = Assets.instance.assetManager.get("ui/" + TAG + ".json");
//        scene.setPosition(0, 0);
//        scene.setTransform(false);
//        scene.setTouchable(Touchable.childrenOnly);
//        view();
//        mySpineActor.getAnimationState().addAnimation(0, "animation3", false, 0);
//        GameConfig.refreshDataForNewGame();
//
//        Timer.instance().scheduleTask(new Timer.Task() {
//            @Override
//            public void run() {
//                showTutoDialog();
//            }
//        }, 0.3f);
//
//        GameConfig.uTime = 0;
//        GameConfig.uTimeFLurry = 0;
//    }
//
//    @Override
//    public void resume() {
//        super.resume();
////        particleEffect1.load(Gdx.files.internal("animation/particle/jinbituowei"), Gdx.files.internal("animation/particle/"));
//
//    }
//
//    @Override
//    public void resize(int width, int height) {
//        super.resize(width, height);
////        DominoGame.mainHelp.resize();
//        view();
//    }
//
//    @Override
//    protected boolean back() {
//        if (tutorManager != null) {
//            if (!tutorManager.isHide())
//                return false;
//        }
//
//        boolean flag = super.back();
//
//        if (flag) {
//
//            if (DominoGame.mainHelpNew.isShow()) {
//                DominoGame.mainHelpNew.close();
//                mySpineActor.getAnimationState().addAnimation(0, "animation3", false, 0);
//            }
////            else if (DominoGame.leagueMain.isShow) {
////                DominoGame.leagueMain.close();
////            } else if (DominoGame.leagueEnd.isShow) {
////
////            }
//            else {
//
//                if (FileUtil.isFirstLogin) {
//                    FlurryManager.flurryLog_levelGameFirst();
//                }
//                Gdx.app.exit();
//                System.exit(0);
//            }
//
//        }
//        return false;
//    }
//
//    public void view() {
//        Image bg = scene.findActor("game_bg");
//        bg.setSize(Configuration.width, Configuration.height);
////        Image bg1 = new Image(new NinePatch(Assets.instance.design.findRegion("picture1_bg_top"),0,0,0,0));
////        bg1.setSize(Configuration.width,Configuration.height);
////        scene.addActor(bg1);
////        bg1.setZIndex(bg.getZIndex());
////        bg.setVisible(false);
//
//        Actor design = scene.findActor("btn_design");
//        Actor logo = scene.findActor("logo");
//        Actor buttons = scene.findActor("buttionGroup");
//        logo.setVisible(false);
//
//        topGroup.setY(Configuration.height - topGroup.getHeight());
//        design.setY(designY + (Configuration.height - 1280));
//        setting.setY(settingY + (Configuration.height - 1280));
//
//
//        float deltaY = 0;
////        if(!ABTestUtil.isABTestA){
////            playButton.setY(buttonY + (Configuration.height - 1280)/2 + 60);
////        }
////        else {
//        playButton.setY(buttonY + (Configuration.height - 1280) / 2 - 50);
////        }
////        if(Configuration.height <= 960){
//
////        }
////            playButton.setVisible(true);
//        deltaY = 50;
////        }
//
//        leagueButton.setY(playButton.getY());
//        logo.setY(buttons.getY() - 100 + playButton.getY() + playButton.getHeight() + (setting.getY() - playButton.getY() - playButton.getHeight()) / 2 - deltaY + 100, Align.center);
//
//        mySpineActor.setY(logo.getY() - 560);
//        updateLabel();
//
//        coinsAni.setPosition(
//                scene.findActor("Image_3").getX(Align.center),
//                scene.findActor("Image_3").getY(Align.center) + topGroup.getY()
//        );
//
//        coniStartX = playButton.getX(Align.center);
//        coniStartY = playButton.getY() - 100;
//
//        coinsTurn.setPosition(
//                coniStartX,
//                coniStartY
//        );
//
//
//    }
//
//    public void refreshDesignDialog() {
//        if (designDialog != null) {
//            designDialog.refresh();
//        }
//    }
//
//
//    public void showAdsDialog() {
//        adsDialog = showDialog(AdsDialog.class, "ui/objects/ads.json");
//    }
//
//    public void showUnlock(Design design) {
//        UnlockDialog unlockDialog = showDialog(UnlockDialog.class, "ui/objects/unlock.json");
//        unlockDialog.setDesign(design);
//    }
//
//    public void addTutorChooseMode() {
//        if (FileUtil.getIsTutorFinished(1)) {
//            return;
//        }
//        tutorManager = new TutorManager(stage, 1);
//        Vector2 pos = tutorManager.showActor(scene.findActor("buttionGroup"));
//        pos.y += (Configuration.height - 1280) / 2 - 60;
//
//        tutorManager.addoldMan(600, pos.y + 700);
//        tutorManager.addWord(100, pos.y + 700, "We have three game modes\nfor you. Choose a mode\nand start playing!", 500, 220);
//
//        tutorManager.bg.addListener(new ClickListener() {
//            @Override
//            public void clicked(InputEvent event, float x, float y) {
//                super.clicked(event, x, y);
//                tutorManager.hide();
//                if (DiamondDataUtil.getDiamondNum() > 0)
//                    addTutorDesign();
//            }
//        });
//
//    }
//
//    public void addTutorDraw() {
//
//        if (FileUtil.getIsTutorFinished(2)) {
//            return;
//        }
//        tutorManager = new TutorManager(stage, 2);
//        Vector2 pos = tutorManager.showActor(scene.findActor("play_1"));
//
//
//        tutorManager.addHand(pos.x + 50, pos.y - 130);
//        tutorManager.addoldMan(600, pos.y + 500);
//        tutorManager.addWord(100, pos.y + 500, "Let's start with Draw.");
////        tutorManager.addActor(hintGroup, 100, pos.y + 500);
//
//    }
//
//    public void addTutorDesign() {
//        if (FileUtil.getIsTutorFinished(8)) {
//            return;
//        }
//        tutorManager = new TutorManager(stage, 8);
//        Vector2 pos = tutorManager.showActionActor(scene.findActor("btn_design"));
//        tutorManager.addoldMan(600, pos.y - 200);
//        tutorManager.addWord(100, pos.y - 200, "Try to unlock a\nnew design now!", 500, 160);
//
//        tutorManager.bg.addListener(new ClickListener() {
//            @Override
//            public void clicked(InputEvent event, float x, float y) {
//                super.clicked(event, x, y);
//                tutorManager.hide();
//            }
//        });
//
//    }
//
//
//    private void showTutoDialog() {
//
////        if(!ABTestUtil.isABTestA){
////            addTutorDraw();
////            return;
////        }
//        if (FileUtil.getIsTutorFinished(1)) {
////            if(!FileUtil.getIsTutorFinished(1) ){
////                addTutorChooseMode();
////            }else
//            if (DiamondDataUtil.getDiamondNum() > 0) {
//                addTutorDesign();
//            }
//            return;
//
//        }
//
//        tutoDialog = showDialog(TutoDialog.class, "ui/objects/tutor.json");
//        tutoDialog.setListener(
//                new TutoDialog.TutoListener() {
//                    @Override
//                    public void yes() {
//                        FileUtil.setIsTuor(true);
//                        tutorManager.hide();
//                    }
//
//                    @Override
//                    public void no() {
//                        FileUtil.setIsTuor(false);
//                        tutorManager.hide();
//                    }
//
//                    @Override
//                    public void close() {
//                        addTutorChooseMode();
//                    }
//                }
//        );
//
//        tutorManager = new TutorManager(stage, false, 13);
//        Vector2 pos = tutorManager.showActor(dialogsGroup);
//        tutorManager.addoldMan(600, Configuration.height - 600);
//        tutorManager.addWord(100, Configuration.height - 600, "Welcome to Dominoes!\nDo you need a tutorial?", 500, 160);
//
////        else {
////        tutoDialog.noChoose();
////        tutorManager.addWord(100,Configuration.height - 600,"Welcome to Dominoes!\nHere's a tutorial for you.",500,160);
////        }
////        tutorManager.addWord(100,Configuration.height - 600,"Welcome to Dominoes!\nDo you need a tutorial?",500,160);
//    }
//
//    public void showInfoDialog() {
//        InfoDialog dialog = showDialog(InfoDialog.class, "ui/objects/tip_main.json");
//        dialog.showPane();
//    }
//
//    public void showLeagueInfoDialog() {
//        LeagueInfoDialog dialog = showDialog(LeagueInfoDialog.class, "ui/objects/league_info.json");
//    }
//
//    public void showNeterrorDialog() {
//        NoInternetDialog dialog = showDialog(NoInternetDialog.class, "ui/objects/noInternet.json");
//    }
//
//
//    public void updateLabel() {
//        Label name = scene.findActor("name");
//        Label coin = scene.findActor("coin");
//
//        name.setAlignment(Align.center);
//        if (false) { //DominoGame.leagueEnd.isShow || DominoGame.leagueMain.isShow
//            name.setText(LeagueUtil.getLife() + "");
//            name.setFontScale(1.1f);
//            name.setX(320);
//        } else {
//            name.setText(LeagueUtil.user.getName());
//            name.setFontScale(0.7f);
//            name.setX(304);
//        }
//
//        coin.setText(LeagueUtil.getCoins() + "");
//        if (adsDialog != null) {
//            adsDialog.setProcess();
//        }
//
//    }
//
//    @Override
//    public void render(float delta) {
//        super.render(delta);
//
//
//        scene.findActor("noNetwork").setVisible(!DominoGame.doodleHelper.isConnected());
//        clock.setText(StringUtil.getTimeLable(LeagueUtil.checkSeconds()));
//
//        if (!game.doodleHelper.isConnected() && dialogs.size() < 1) { //!game.doodleHelper.isConnected() && (DominoGame.leagueMain.isShow || DominoGame.leagueEnd.isShow) && dialogs.size() < 1
////            if (DominoGame.leagueMain.isShow) {
////                DominoGame.leagueMain.close();
////            } else if (DominoGame.leagueEnd.isShow) {
////                DominoGame.leagueEnd.close();
////            }
//            showNeterrorDialog();
//
//        }
//
//        if (!DominoGame.doodleHelper.isConnected()) {
//            scene.findActor("tanhao_5").setVisible(false);
//        } else {
//            scene.findActor("tanhao_5").setVisible(LeagueUtil.CheckIsShowEnd());
//        }
//
//        if (adsDialog != null) {
//            adsDialog.update();
//        }
//
//    }
//
//
//    public void closeLeague() {
//        setting.setVisible(true);
//        scene.findActor("heart_6").setVisible(false);
//        scene.findActor("change").setVisible(true);
//        updateLabel();
//
//    }
//
//    public void showCoinAction() {
//
////        particleEffectActor = new ParticleEffectActor(particleEffect1);
////        scene.addActor(particleEffectActor);
//
//
//        coinsTurn.setPosition(
//                coniStartX,
//                coniStartY
//        );
//
//        particleEffectActor.clearActions();
//        particleEffectActor.setPosition(
//                coniStartX,
//                coniStartY
//        );
//        particleEffectActor.setVisible(true);
//        particleEffectActor.toFront();
//
//
//        coinsTurn.setVisible(true);
//        coinsTurn.toFront();
//        coinsTurn.setAnimation("animation", true);
//
//        particleEffectActor.addAction(
//                Actions.sequence(
//                        Actions.moveTo(coinsAni.getX(), coinsAni.getY(), 0.6f),
//                        Actions.moveTo(coniStartX, coniStartY, 0.001f),
//                        Actions.run(new Runnable() {
//                            @Override
//                            public void run() {
//                                particleEffectActor.setVisible(false);
//                            }
//                        })
//                )
//
//        );
//
//        coinsTurn.addAction(
//                Actions.sequence(
//                        Actions.moveTo(coinsAni.getX(), coinsAni.getY(), 0.6f),
//                        Actions.run(
//                                new Runnable() {
//                                    @Override
//                                    public void run() {
//                                        coinsAni.setAnimation("animation", false);
//                                        coinsTurn.setVisible(false);
//                                    }
//                                }
//                        )
//                )
//        );
//
//
//    }
//
//}
