package com.mobilegame.dominoes.utils;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Preferences;
import com.mobilegame.dominoes.data.FileUtil;


/**
 * Created by qwe on 2020/5/26.
 */

public class ABTestUtil {
    private static Preferences prefs;
    public static boolean isFirstLogin;
    private static final String FILE_NAME = "abtest_preferences";
    public static final String VERSION = "version";
    private static final String ABTEST ="ABTEST22";

    public static boolean isABTestA = false;

//    public static void initABTEST() {
//
//        prefs = Gdx.app.getPreferences(FILE_NAME);
//        isFirstLogin = FileUtil.isFirstLogin;
//
//        if(isFirstLogin) {//第一次登陆
//            if (getIsFirstABTest()) {//没记录过新版本的abTest
////                int x = new Random().nextInt(100);
////                isABTestA = (x >= 50);
//                isABTestA = true;
//                prefs.putBoolean(ABTEST, isABTestA);
//
//            } else//记录过新版本的abTest
//                isABTestA = getIsABTestA();
//
//            if(isABTestA){
//                prefs.putString(VERSION,"A");
//            }else {
//                prefs.putString(VERSION,"B");
//            }
//
//            prefs.flush();
//        }else{//覆盖安装
//
//            if (getIsFirstABTest()){//没记录过1.0.9版本的abTest
//                isABTestA = true;
//                FileUtil.setIsTuor(false);
//                prefs.putString(VERSION,"O");
//            }
//            else {
//                isABTestA = getIsABTestA();
//            }
//            if(prefs.getString(VERSION).length()<1){
//                prefs.putString(VERSION,"O");
//            }
//            prefs.putBoolean(ABTEST, isABTestA);
//            prefs.flush();
//        }
//
//
//    }

    public static void initABTEST() {
        prefs = Gdx.app.getPreferences(FILE_NAME);
        isFirstLogin = FileUtil.isFirstLogin;
        isABTestA = true;

        if(isFirstLogin) {//第一次登陆
            if (getIsFirstABTest()) {//没记录过新版本的abTest
//                int x = new Random().nextInt(100);
//                isABTestA = (x >= 50);
                prefs.putBoolean(ABTEST, isABTestA);
                prefs.putString(VERSION,"A");
            } else {//记录过新版本的abTest
                isABTestA = getIsABTestA();
                prefs.putString(VERSION, "O");
            }
            prefs.flush();
        }else{//覆盖安装
            if(getIsFirstABTest()){
                prefs.putBoolean(ABTEST, true);
            }
            prefs.putString(VERSION, "O");
            prefs.flush();
        }


    }

    public static boolean getIsABTestA() {
        return prefs.getBoolean(ABTEST, true);
    }
    public static boolean getIsFirstABTest() {
        return !prefs.contains(ABTEST);
    }

    public static String getVersion(){
        return prefs.getString(VERSION);
    }


}
