package com.mobilegame.dominoes.utils;

import com.badlogic.gdx.Gdx;

import java.util.ArrayList;
import java.util.Random;

/**
 * Created by qwe on 2020/10/26.
 */

public class Player {

    public static float[] checkTime = {3.5f,4.5f,5.5f,6.5f,7.5f,8.5f,9.5f,15,20};
    public static float[] checkStartTime = {60,100,84,42,18,0};

    int id;
    int rank;
    String name;
    int score;
    ArrayList<Float> addScoreTime;
    int checked;

    public Player(String name,int id,int wait) {
        this.name = name;
        this.score = 0;
        this.id = id;

        checked = 0;
        addScoreTime = new ArrayList<>();

        float checktime = 0;

        Gdx.app.log("yxkPlayerID:",id+"");
        Gdx.app.log("yxkPlayerName:",name);

        while (checktime < 180 ){
            Random random = new Random();
            if(id<6){
                if(addScoreTime.size() <1){
                    checktime+= checkStartTime[id] + random.nextInt(30);
                }

                if(addScoreTime.size() >= 8){
                    checktime = 200;
                }else {
                    checktime+=checkTime[id];
                    checktime+=random.nextFloat();

                }


            }
            else if(id < 24-wait){

                if(addScoreTime.size() <1){
                    if(id<9){
                        checktime+=   random.nextInt(10);
                    }
                    else if(id < 12){
                        checktime+=   random.nextInt(20)+10;
                    }else if(id < 15) {
                        checktime+=   random.nextInt(60)+30;
                    }
                    else {
                        checktime+=   random.nextInt(90)+30;
                    }
                }

                if(addScoreTime.size() >= 4){
                    checktime = 200;
                }else {
                    checktime+=checkTime[7];
                    checktime+=random.nextFloat()*5;
                }

            }
            else {
                checktime = 200;
            }
            Gdx.app.log("yxkPlayerchecktime:",checktime+"");
            if(checktime<180){
                addScoreTime.add(checktime);
            }

        }

//        Gdx.app.log("yxkPlayerchecktimeSize:",addScoreTime.size()+"");

    }

    public Player(int id, String name, int score, ArrayList<Float> addScoreTime, int checked) {
        this.id = id;
        this.name = name;
        this.score = score;
        this.addScoreTime = addScoreTime;
        this.checked = checked;
    }

    public String getName() {
        return name;
    }

    public int getScore() {
        return score;
    }

    public int getId() {
        return id;
    }

    public void CheckPoints(){
        int now = LeagueUtil.LeagueMin();
        Gdx.app.log("yxkMin",now+"");
        int index = 1;
//        Gdx.app.log("yxkCheckPointsMinNum",""+now);
//        Gdx.app.log("yxkCheckPointsChecked",""+checked);

        for (float time :addScoreTime ){
            if(time < now && index > checked){
                score+=LeagueUtil.CreateScore();
                checked++;
            }
            index++;
        }
        LeagueUtil.SavePlayerChange(id,score,checked);
    }

    public int getRank() {
        return rank;
    }

    public void setRank(int rank) {
        this.rank = rank;
    }
}
