//package com.mobilegame.dominoes.utils;
//
//import com.badlogic.gdx.Gdx;
//import com.badlogic.gdx.graphics.Color;
//import com.badlogic.gdx.graphics.g2d.NinePatch;
//import com.badlogic.gdx.math.Interpolation;
//import com.badlogic.gdx.math.Vector2;
//import com.badlogic.gdx.scenes.scene2d.Actor;
//import com.badlogic.gdx.scenes.scene2d.Group;
//import com.badlogic.gdx.scenes.scene2d.Stage;
//import com.badlogic.gdx.scenes.scene2d.Touchable;
//import com.badlogic.gdx.scenes.scene2d.actions.Actions;
//import com.badlogic.gdx.scenes.scene2d.ui.Image;
//import com.badlogic.gdx.scenes.scene2d.ui.Label;
//import com.badlogic.gdx.scenes.scene2d.utils.ClickListener;
//import com.badlogic.gdx.utils.Align;
//import com.badlogic.gdx.utils.Timer;
//import com.esotericsoftware.spine.SkeletonData;
//import com.esotericsoftware.spine.SkeletonJson;
//import com.esotericsoftware.spine.SkeletonRenderer;
//import com.esotericsoftware.spine.attachments.AtlasAttachmentLoader;
//import com.mobilegame.dominoes.assets.Assets;
//import com.mobilegame.dominoes.data.FileUtil;
//import com.spine.MySpineActor;
//import com.spine.MySpineStatus;
//
//import java.util.Random;
//
//
//////每一个教程步骤 穿件一个tutorManager,并配唯一id
//public class TutorManager {
//
//    private Group parentGroup;
//    private Stage stage;
//    public static Image bg;
//    private int zIndex;
//    private Group showGroup;
//    private Group hintGroup;
//    private Group noActionGroup;
//    private Group wordGroup;
//    private boolean isHasBg;
//    private boolean isHide;
//    private int id = 0;
//
//    private MySpineActor tutorAction;
//
//    public TutorManager(Stage s, int id) {
//        this(s, true, id);
//    }
//
//    public TutorManager(Stage s, boolean isHasBg, int id) {
//        this.id = id;
//        stage = s;
//        this.isHasBg = isHasBg;
//        this.id = id;
//        bg = LayerUtils.createLayer();
//        bg.setColor(new Color(0, 0, 0, 0.6f));
//        bg.setSize(stage.getWidth(), stage.getHeight());
//        FileUtil.setIsTutorFinished(id);
//        isHide = false;
//    }
//
//
//
//    private void init() {
//        if (showGroup == null) {
//
//            tutorShowCnt++;
////            Debug.log("tutorShowCnt++"+ tutorShowCnt);
//            showGroup = new Group();
//            hintGroup = new Group();
//            noActionGroup=  new Group();
//            if (isHasBg)
//                stage.addActor(bg);
//            stage.addActor(showGroup);
//            stage.addActor(noActionGroup);
//            stage.addActor(hintGroup);
//        }
//    }
//
//
//
//    //添加多个actor需要同一个parentGroup(否则要存多个parent,这里只存一个)
//    public Vector2 showActor(Actor actor) {
//
//        init();
//        zIndex = actor.getZIndex();
//        parentGroup = actor.getParent();
//
//        Vector2 pos = localToStageCoordinates(actor);
//
////        Debug.log(actor.getX()+" "+actor.getY()+" "+ pos);
//
//        actor.remove();
//        actor.setPosition(pos.x, pos.y);
//        actor.setZIndex(1);
//        showGroup.addActor(actor);
//        return pos;
//    }
//
//    public Vector2 showActionActor(Actor actor) {
//
//        init();
//        zIndex = actor.getZIndex();
//        parentGroup = actor.getParent();
//
//        Vector2 pos = localToStageCoordinates(actor);
//
////        Debug.log(actor.getX()+" "+actor.getY()+" "+ pos);
//
//        actor.remove();
//        actor.setPosition(pos.x, pos.y);
//        actor.setZIndex(1);
//        showGroup.addActor(actor);
//        actor.setOrigin(Align.center);
//        actor.addAction(
//                Actions.forever(
//                        Actions.sequence(
//                                Actions.scaleTo(1.3f,1.3f,0.7f),
//                                Actions.scaleTo(0.9f,0.9f,0.7f)
//                        )
//                )
//        );
//        return pos;
//    }
//
//
//    public Vector2 getPos(Actor actor){
//        Vector2 pos = localToStageCoordinates(actor);
//        return pos;
//    }
//
//    public static Vector2 localToStageCoordinates (Actor fromActor) {
//
//        Actor actor = fromActor;
//        Vector2 ans = new Vector2(0, 0);
//        while (actor != null) {
//            ans = actor.localToParentCoordinates(ans);
////            Debug.log(actor.getRotation()+" " +actor.getScaleX()+" "+actor.getScaleY()+"  ans "+ ans.x+"   "+ans.y);
//            actor = actor.getParent();
////            if (actor == ascendant) break;
//        }
//        return ans;
//    }
//
//
//    public static Vector2 localToStageCoordinatesOnlyConsiderXY (Actor fromActor ) {
//
//        Actor actor = fromActor;
//        Vector2 ans = new Vector2(0, 0);
//        while (actor != null) {
//            ans.x+=actor.getX();
//            ans.y+=actor.getY();
////            Debug.log(actor.getRotation()+" " +actor.getScaleX()+" "+actor.getScaleY()+"  ans "+ ans.x+"   "+ans.y);
//            actor = actor.getParent();
////            if (actor == ascendant) break;
//        }
//        return ans;
//    }
//
//
//    public void addHintAction(Actor actor) {
//        addHintAction(actor, actor.getWidth() / 2f, actor.getHeight() / 2f);
//    }
//
//    public void addHintAction(Actor actor, float x, float y) {
//        actor.setOrigin(x, y);
//        actor.setScale(0.1f);
//        actor.addAction(Actions.scaleTo(1, 1, 0.5f, Interpolation.swingOut));
//    }
//
//    public void addHand(float x, float y) {
//
//        SkeletonJson sJsonGame  = new SkeletonJson(new AtlasAttachmentLoader(Assets.guide));;
//        MySpineStatus mySpineStatusHand;
//        SkeletonData skeletonDataHand = sJsonGame.readSkeletonData(Gdx.files.internal("animation/guide.json"));
//        mySpineStatusHand = new MySpineStatus(skeletonDataHand);
//        MySpineActor mySpineActor = new MySpineActor(new SkeletonRenderer(), mySpineStatusHand);
//
//        mySpineActor.getAnimationState().setAnimation(0, "2", true);
//        addActorNoAction(mySpineActor,x+10,y+170);
////
////        Image hand = new Image(Resource.GameAsset.findRegion("shou"));
////        hand.setTouchable(Touchable.disabled);
////        hand.setAlign(Align.center);
////        hand.addAction(Actions.forever(Actions.sequence(Actions.scaleTo(1.2f, 1.2f, 0.45f, Interpolation.linear), Actions.scaleTo(1, 1, 0.3f, Interpolation.pow2), Actions.delay(0.4f))));
////        addActor(hand, x, y);
//    }
//
//    public void addoldMan(float x, float y) {
//
//        SkeletonJson sJsonAct ;
//        SkeletonData skeletonDataLoading ;
//        sJsonAct = new SkeletonJson(new AtlasAttachmentLoader(Assets.laoren));
//        skeletonDataLoading =sJsonAct.readSkeletonData(Gdx.files.internal("animation/laoren.json"));
//        tutorAction = new MySpineActor(new SkeletonRenderer(),skeletonDataLoading);
//
//        Random random = new Random();
//        int m = random.nextInt(4);
//        m++;
//        tutorAction.getAnimationState().addAnimation(0, "appear", false,0);
//        tutorAction.getAnimationState().addAnimation(1, "idle"+m, true,0);
//        addActor(tutorAction,x+50,y-210);
////
////        Image hand = new Image(Resource.GameAsset.findRegion("shou"));
////        hand.setTouchable(Touchable.disabled);
////        hand.setAlign(Align.center);
////        hand.addAction(Actions.forever(Actions.sequence(Actions.scaleTo(1.2f, 1.2f, 0.45f, Interpolation.linear), Actions.scaleTo(1, 1, 0.3f, Interpolation.pow2), Actions.delay(0.4f))));
////        addActor(hand, x, y);
//    }
//    public void addoldMan(float x, float y,int idle) {
//
//        SkeletonJson sJsonAct ;
//        SkeletonData skeletonDataLoading ;
//        sJsonAct = new SkeletonJson(new AtlasAttachmentLoader(Assets.laoren));
//        skeletonDataLoading =sJsonAct.readSkeletonData(Gdx.files.internal("animation/laoren.json"));
//        tutorAction = new MySpineActor(new SkeletonRenderer(),skeletonDataLoading);
//
//        tutorAction.getAnimationState().addAnimation(0, "appear", false,0);
//        tutorAction.getAnimationState().addAnimation(1, "idle"+idle, true,0);
//        addActor(tutorAction,x+50,y-210);
//
//    }
//
//    public void addWord(float x, float y,String str){
//        addWord(x,y,str,500,100);
//    }
//
//    public void addWord(float x, float y,String str,float width,float height) {
//
//        wordGroup = new Group();
//        wordGroup.clear();
//
//        Image hintBg = new Image(new NinePatch(Assets.ui.findRegion("pop"),60,100,30,60));
//        hintBg.setSize(width, height);
//        wordGroup.setSize(hintBg.getWidth(), hintBg.getHeight());
//
//        Label.LabelStyle style = new Label.LabelStyle(Assets.instance.fonts[2],Color.WHITE);
//        Label words = new Label(str,style);
//        words.setAlignment(Align.center);
//        words.setPosition(hintBg.getWidth() / 2, hintBg.getHeight() / 2 + 20, Align.center);
//        words.setFontScale(0.8f);
//
//        wordGroup.addActor(hintBg);
//        wordGroup.addActor(words);
//        addActor(wordGroup,x,y-20);
//        wordGroup.setOrigin(width,0);
//        wordGroup.addAction(
//                Actions.sequence(
//                        Actions.scaleTo(0.1f,0.1f,0.01f),
//                        Actions.scaleTo(1f,1f,0.5f)
//
//                )
//        );
//    }
//
//
//
//
//
////    public void addSamllHand(float x, float y) {
////
////        MySpineActor mySpineActor = new MySpineActor(SkeletonManager.skeletonRenderer,  SkeletonManager.mySpineStatusHand);
////
////        mySpineActor.getAnimationState().setAnimation(0, "1", true);
////        addActor(mySpineActor,x,y);
//////
//////        Image hand = new Image(Resource.GameAsset.findRegion("shou"));
//////        hand.setTouchable(Touchable.disabled);
//////        hand.setAlign(Align.center);
//////        hand.addAction(Actions.forever(Actions.sequence(Actions.scaleTo(1.2f, 1.2f, 0.45f, Interpolation.linear), Actions.scaleTo(1, 1, 0.3f, Interpolation.pow2), Actions.delay(0.4f))));
//////        addActor(hand, x, y);
////    }
//
//    public void addActorNoAction(Actor actor, float x, float y) {
//        init();
//        actor.setTouchable(Touchable.disabled);
//        noActionGroup.addActor(actor);
//        actor.setPosition(x, y);
//    }
//
//    public void addActor(Actor actor, float x, float y) {
//        addActor(actor, x, y, Touchable.disabled);
//    }
//    public void addActor(Actor actor, float x, float y, Touchable touchable) {
//        init();
//
//        actor.setTouchable(touchable);
//        hintGroup.addActor(actor);
//        actor.setPosition(x, y);
//
//    }
//
//    public void hide() {
//
//        isHide = true;
//
//        if (showGroup == null || hintGroup == null)
//            return;
//        for (int i = 0, imax = showGroup.getChildren().size; i < imax; i++) {
//            Actor actor = showGroup.getChildren().get(0);
//            Vector2 pos = localToStageCoordinates(parentGroup);
//
//            actor.remove();
//            actor.clearActions();
//            actor.addAction(Actions.scaleTo(1,1));
//            actor.setPosition(actor.getX() - pos.x, actor.getY() - pos.y);
//            parentGroup.addActor(actor);
//            actor.setZIndex(zIndex);
//        }
//        if(showGroup!=null)
//            showGroup.remove();
//        if(noActionGroup!=null)
//            noActionGroup.remove();
//        if (isHasBg)
//            bg.remove();
//
//        noActionGroup = null;
//        showGroup = null;
//
//        if(tutorAction!=null){
//            tutorAction.getAnimationState().clearTracks();
//            tutorAction.setAnimation("disappear");
//            if(wordGroup!=null){
//                wordGroup.setOrigin(wordGroup.getWidth(),0);
//                wordGroup.addAction(
//                        Actions.sequence(
//                                Actions.scaleTo(0.01f,0.01f,0.5f)
//                        )
//                );
//            }
//
//            Timer.instance().scheduleTask(
//                    new Timer.Task() {
//                        @Override
//                        public void run() {
//                            tutorShowCnt--;
//
//                            if(hintGroup!=null)
//                                hintGroup.remove();
//
//                            hintGroup = null;
//
//                        }
//                    }
//            ,0.7f);
//        }
//        else {
//            tutorShowCnt--;
////        Debug.log("tutorShowCnt--"+ tutorShowCnt);
//
//            if(hintGroup!=null)
//                hintGroup.remove();
//
//            hintGroup = null;
//
//        }
//
//
//    }
//
//
//    public static int tutorShowCnt = 0;
//
//    public static boolean isShowing() {
//
//        return tutorShowCnt != 0;
//    }
//
//    public  void addListener(ClickListener clickListener){
//        parentGroup.addListener(clickListener);
//    }
//
//    public boolean isHide() {
//        return isHide;
//    }
//}
