package com.mobilegame.dominoes.utils.net;

import com.badlogic.gdx.Application;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Net;

public class NetFactory {
	public static  boolean useLowNet =false;
	public static  boolean useLowSite =false;

	static {
		if (Gdx.app.getType().equals(Application.ApplicationType.Android)&&Gdx.app.getVersion() < 9) {
			useLowNet = true;
			useLowSite =true;
		}
	}

	private static final String LAMBDASITE =    "https://slot.galaxyaura.com/test/slot_main";
	private static final String LAMBDASITELOW = "https://slot-regional.galaxyaura.com/test/slot_main";

	public static Net2 createImpl (int i) {
		if (useLowNet)
			return new NetJavaImpl3(i);
		else
			return new NetJavaImpl2(i);
	}


	public static void setUrl(Net.HttpRequest httpRequest, int high, int low){
		if(!useLowSite) {
			httpRequest.setUrl(LAMBDASITE);
			httpRequest.setTimeOut(high);
		}else{
			httpRequest.setUrl(LAMBDASITELOW);
			httpRequest.setTimeOut(low);
		}
	}
}
