package com.spine;//package spine;
//
//import com.badlogic.gdx.Gdx;
//import com.badlogic.gdx.graphics.g2d.TextureAtlas;
//import com.esotericsoftware.spine.SkeletonData;
//import com.esotericsoftware.spine.SkeletonJson;
//import com.mygdx.game.MyGdxGame;
//import com.mygdx.game.assets.Assets;
//
//import java.util.HashMap;
//
///**
// * Created by Doodle on 2018/10/11.
// */
//
//public class AnimationManager {
//
//    private static AnimationManager _instance;
//
//    public static AnimationManager get_instance() {
//        return _instance;
//    }
//
//    public static void Create(MyGdxGame mainGame) {
//        _instance = new AnimationManager(mainGame);
//    }
//
//    public static void dispose() {
//        _instance = null;
//    }
//
//    //==================================================
//    private HashMap<Integer, SkeletonData> skeletonDataMap = new HashMap<Integer, SkeletonData>();
//    private HashMap<Integer,String> pathStringMap = new HashMap<Integer, String>();
//    public final DDSkeletonRenderer renderer;
//    private MyGdxGame mainGame;
//    private String spineRoute = "getSpines/";
//
//
//    public AnimationManager(MyGdxGame mainGame) {
//        this.mainGame = mainGame;
//        renderer = new DDSkeletonRenderer();
//        initPathStringMap();
//    }
//
//    private void initPathStringMap(){
//        //-----------添加一个动画只需要加入一个动画的路径就可以通过动画的index进行调用-------------------------------
//        //----------------------游戏界面动画-------------------------------
//        pathStringMap.put( 0, "undo");        //游戏界面动画      index 0
//        pathStringMap.put( 1, "gameover2");   //游戏结束动画      index 1
//        pathStringMap.put( 2,"jiesuan2");     //普通游戏结算      index 2
//        pathStringMap.put( 4,"caidan");       //new新游戏菜单     index 4
//        pathStringMap.put( 5,"loading");      //游戏loading      index 5
//        pathStringMap.put( 6,"pause");        //游戏暂停动画       index 6
//        pathStringMap.put( 7,"rate");         //评价动画          index 7
//        pathStringMap.put( 25,"gameover");    //                index 25
//        pathStringMap.put( 26,"pencil");      //                 index 26
//        pathStringMap.put( 28,"delete");                       //index 28
//        pathStringMap.put( 29,"hint");                         //index 29
//        pathStringMap.put( 30,"night");                        //index 30
//        pathStringMap.put(31,"tongji2");      //统计动画          index 31
//        pathStringMap.put(32,"tongji");                        //index 32
//
//
//        //-----------------------每日挑战界面动画--------------------------
//        pathStringMap.put( 8,"1_people");    //每日挑战奖杯         index 8
//        pathStringMap.put( 9,"2_xin");        //                  index 9
//        pathStringMap.put( 10, "3_grass");    //                  index 10
//        pathStringMap.put( 11, "4_egg");      //                  index 11
//        pathStringMap.put( 12,"5_mao");       //                  index 12
//        pathStringMap.put( 13,"6_bei");       //                  index 13
//        pathStringMap.put( 14,"7_women");     //                  index 14
//        pathStringMap.put( 15,"8_beer");      //                  index 15
//        pathStringMap.put( 16,"9_shou");      //                  index 16
//        pathStringMap.put( 17,"10_earth");    //                  index 17
//        pathStringMap.put( 18,"11_nangua");   //                  index 18
//        pathStringMap.put( 19,"12_tree");     //                  index 19
//
//        pathStringMap.put( 20,"shuoming");    //每日挑战说明        index 20
//        pathStringMap.put( 21,  "tuichu");      //每日挑战退出警告 index 21
//        pathStringMap.put( 22,"jiesuan");     //每日挑战结算         index 22
//        pathStringMap.put( 23,"play");         //每日挑战play按钮    index 23
//        pathStringMap.put( 24,"medal");   //每日奖章                index 24
//        pathStringMap.put( 27,"wenhao");      //每日奖章问号         index 27
//
//    }
//
//    private String getPathString(int index){
//        return pathStringMap.get(index);
//    }
//
//    public MySpineActor createSpineActor(int index) {
//        return new MySpineActor(renderer, getSkeletonData(index));
//    }
//
//    public MySpineGroup createSpineGroup(int index) {
//        return new MySpineGroup(renderer, getSkeletonData(index));
//    }
//
//    public SkeletonData getSkeletonData(int index) {
//        if (skeletonDataMap.containsKey(index)) {
//            return skeletonDataMap.get(index);
//        }
//        String fileName;
//
////        if (!mainGame.isPhoneGood && index > 7 && index < 20){
////            fileName = spineRoute+"min/"+getPathString(index)+".json";
////        }else {
//            fileName =  spineRoute+getPathString(index) + ".json";
//        //}
//
//
//        if (!Assets.getInstance().assetManager.isLoaded(fileName)) {
//            loadAnimationSingle(index);
//            Assets.getInstance().assetManager.finishLoading();
//        }
//        SkeletonData result =Assets.getInstance().assetManager.get(fileName);
//        if (result != null) {
//            skeletonDataMap.put(index, result);
//        }
//        return result;
//    }
//
//    public void loadAnimation(String fileName) {
//        TextureAtlas atlas = new TextureAtlas(Gdx.files.internal(fileName + ".atlas"));
//        SkeletonJson skeletonJson = new SkeletonJson(new DDAtlasAttachmentLoader(atlas));
////            SkeletonJson skeletonJson = new SkeletonJson(new AtlasAttachmentLoader(textureAtlas));
//        skeletonJson.setScale(1);
//        SkeletonData skeletonData = skeletonJson.readSkeletonData(Gdx.files.internal(fileName + ".json"));
//    }
//
//    private void loadAnimationSingle(int index) {
//        if (index < 0 || index > pathStringMap.size())
//            return;
//        Assets.getInstance().assetManager.load(spineRoute+pathStringMap.get(index) + ".json", SkeletonData.class);
//
////        if (!mainGame.isPhoneGood && index > 7 && index < 20){
////            mainGame.assetManager.load(spineRoute+"min/"+pathStringMap.get(index) + ".json", SkeletonData.class);
////        }else {
//        Assets.getInstance().assetManager.load(spineRoute+pathStringMap.get(index) + ".json", SkeletonData.class);
////        }
//    }
//}
//
//
//
//
