package com.spine;

import com.esotericsoftware.spine.AnimationState;
import com.esotericsoftware.spine.AnimationStateData;
import com.esotericsoftware.spine.Skeleton;
import com.esotericsoftware.spine.SkeletonData;

public class MySpineStatus  {

    //data
    public SkeletonData skeletondata;

    //status
    public AnimationStateData animationStateData;
    public Skeleton skeleton;
    public AnimationState animationState;


    public MySpineStatus(SkeletonData data) {
        skeletondata = data;

        skeleton = new Skeleton(skeletondata);

        animationStateData = new AnimationStateData(data);
        animationState = new AnimationState(animationStateData);
    }
}
